import { world, system } from '@minecraft/server';
import { ActionFormData } from '@minecraft/server-ui';

system.runInterval(() => {
    for (const player of world.getAllPlayers()) {
        const sculkexp = player.level
        const scoresct = world.scoreboard.getObjective("ctlbs")
        const item = player.getComponent("minecraft:inventory").container.getItem(player.selectedSlotIndex);
        if (player.hasTag('chorus_armour'))
            if (player.getEffect('levitation'))
                player.removeEffect('levitation')
        if (player.hasTag('witheri_armour'))
            if (player.getEffect('wither'))
                player.removeEffect('wither')
        if (player.hasTag('sculk_armour'))
            if (player.getEffect('darkness'))
                player.removeEffect('darkness')
        if (player.hasTag('soul_armor'))
            if (player.getEffect('slowness'))
                player.removeEffect('slowness')
        if (player.hasTag('redstonerock_armour')) {
            if (player.isSprinting)
                player.runCommand('scoreboard players add @s redrocksprint 1')
            if (player.isSprinting == false)
                player.runCommand('scoreboard players reset @s redrocksprint')
        }
        if (player.hasTag('sculkexpdouble'))
            player.runCommand(`xp ${sculkexp}L @s`)
        if (player.hasTag('creaking_armor'))
            if (player.isSneaking)
                player.runCommand('titleraw @s actionbar {"rawtext": [{"text":"§6"}, {"score":{"name":"@s", "objective":"resinshield"}}, {"text":"§8/§620"}]}')
        if (player.hasTag('coppertuff_armor'))
            if (player.hasTag('ctlbs'))
                player.runCommand(`effect @s strength 1 ${scoresct.getScore(player) - 1} true`)
        if (item?.hasTag("minecraft:is_pickaxe"))
            if (item.typeId.startsWith('alloys:') == false) {
                if (item?.hasTag("minecraft:wooden_tier"))
                    player.runCommand('tag @s add alloypickaxetiers1');
                if (item?.hasTag("minecraft:golden_tier"))
                    player.runCommand('tag @s add alloypickaxetiers1');
                if (item?.hasTag("minecraft:stone_tier"))
                    player.runCommand('tag @s add alloypickaxetiers1');
                if (item?.hasTag("minecraft:iron_tier"))
                    player.runCommand('tag @s add alloypickaxetiers1');
                if (item?.hasTag("minecraft:diamond_tier"))
                    player.runCommand('tag @s add alloypickaxetiers1');
                if (item?.hasTag("minecraft:diamond_tier"))
                    player.runCommand('tag @s add alloypickaxetiers2');
                if (item?.hasTag("minecraft:netherite_tier"))
                    player.runCommand('tag @s add alloypickaxetiers1');
                if (item?.hasTag("minecraft:netherite_tier"))
                    player.runCommand('tag @s add alloypickaxetiers2');
            }
        if (item?.hasTag("minecraft:netherite_tier") == false)
            if (item?.hasTag("minecraft:diamond_tier") == false)
                if (item?.hasTag("minecraft:iron_tier") == false)
                    if (item?.hasTag("minecraft:stone_tier") == false)
                        if (item?.hasTag("minecraft:golden_tier") == false)
                            if (item?.hasTag("minecraft:wooden_tier") == false)
                                player.runCommand('tag @s remove alloypickaxetiers1');
        if (item?.hasTag("minecraft:netherite_tier") == false)
            if (item?.hasTag("minecraft:diamond_tier") == false)
                player.runCommand('tag @s remove alloypickaxetiers2');
    };
});

world.afterEvents.playerBreakBlock.subscribe(durabilitytool => {
    const player = durabilitytool.player;
    const item = durabilitytool.itemStackAfterBreak;
    const durability = item.getComponent("durability").maxDurability;
    const damage = item.getComponent("durability").damage;
    const inventory = player.getComponent('inventory').container;
    if (item?.hasTag("minecraft:is_tool"))
        if (player.hasTag('alloyscreative') == false)
            if (item.typeId.startsWith('alloys:'))
                if (damage == durability) {
                    inventory.setItem(player.selectedSlotIndex, null);
                } else {
                    item.getComponent("durability").damage += 1;
                    inventory.setItem(player.selectedSlotIndex, item);
                }
});
world.afterEvents.playerBreakBlock.subscribe(durabilityweaponmine => {
    const player = durabilityweaponmine.player;
    const item = durabilityweaponmine.itemStackAfterBreak;
    const durability = item.getComponent("durability").maxDurability;
    const damage = item.getComponent("durability").damage;
    const inventory = player.getComponent('inventory').container;
    if (item?.hasTag("minecraft:is_sword"))
        if (player.hasTag('alloyscreative') == false)
            if (item.typeId.startsWith('alloys:'))
                if (damage == durability) {
                    inventory.setItem(player.selectedSlotIndex, null);
                } else {
                    item.getComponent("durability").damage += 1;
                    inventory.setItem(player.selectedSlotIndex, item);
                }
});
world.afterEvents.entityHurt.subscribe(durabilityhit => {
    const player = durabilityhit.damageSource.damagingEntity;
    const item = player.getComponent("minecraft:inventory").container.getItem(player.selectedSlotIndex);
    const durability = item.getComponent("durability").maxDurability;
    const damage = item.getComponent("durability").damage;
    const inventory = player.getComponent('inventory').container;
    if (item?.hasTag("minecraft:is_tool"))
        if (player.hasTag('alloyscreative') == false)
            if (player.hasTag('alyscsshield') == false)
                if (item.typeId.startsWith('alloys:'))
                    if (damage == durability) {
                        inventory.setItem(player.selectedSlotIndex, null);
                    } else {
                        item.getComponent("durability").damage += 1;
                        inventory.setItem(player.selectedSlotIndex, item);
                    }
});
world.afterEvents.itemUse.subscribe(durabilityuse => {
    const player = durabilityuse.source;
    const item = durabilityuse.itemStack;
    const durability = item.getComponent("durability").maxDurability;
    const damage = item.getComponent("durability").damage;
    const inventory = player.getComponent('inventory').container;
    if (item?.hasTag("minecraft:is_sword"))
        if (player.hasTag('alloyscreative') == false)
            if (item.typeId.startsWith('alloys:'))
                if (damage == durability) {
                    inventory.setItem(player.selectedSlotIndex, null)
                } else {
                    item.getComponent("durability").damage += 1
                    inventory.setItem(player.selectedSlotIndex, item)
                }
});
world.afterEvents.playerBreakBlock.subscribe(alloysblocks => {
    const player = alloysblocks.player;
    const item = alloysblocks.itemStackAfterBreak;
    const block = alloysblocks.brokenBlockPermutation;
    const blockcommand = alloysblocks.dimension;
    const location = alloysblocks.block;
    const x = Math.round(location.x);
    const y = Math.round(location.y);
    const z = Math.round(location.z);
    if (world.gameRules.doTileDrops == true) {
        if (item?.hasTag("minecraft:is_pickaxe"))
            if (item?.typeId.startsWith('alloys:'))
                if (block.type.id == 'alloys:alloys_maker')
                    blockcommand.runCommand(`loot spawn ${x} ${y} ${z} loot "alloys_blocks/alloys_maker"`);
        if (player.hasTag('alloypickaxetiers1'))
            if (block.type.id == 'alloys:alloys_maker')
                blockcommand.runCommand(`loot spawn ${x} ${y} ${z} loot "alloys_blocks/alloys_maker"`);
        if (item?.hasTag("minecraft:is_pickaxe"))
            if (item?.typeId.startsWith('alloys:'))
                if (block.type.id == 'alloys:equipment_workbench')
                    blockcommand.runCommand(`loot spawn ${x} ${y} ${z} loot "alloys_blocks/equipment_workbench"`);
        if (player.hasTag('alloypickaxetiers1'))
            if (block.type.id == 'alloys:equipment_workbench')
                blockcommand.runCommand(`loot spawn ${x} ${y} ${z} loot "alloys_blocks/equipment_workbench"`);
        if (item?.hasTag("minecraft:is_pickaxe"))
            if (item?.typeId.startsWith('alloys:'))
                if (block.type.id == 'alloys:amethyst_gold_alloy_block')
                    blockcommand.runCommand(`loot spawn ${x} ${y} ${z} loot "alloys_blocks/amethyst_gold"`);
        if (player.hasTag('alloypickaxetiers2'))
            if (block.type.id == 'alloys:amethyst_gold_alloy_block')
                blockcommand.runCommand(`loot spawn ${x} ${y} ${z} loot "alloys_blocks/amethyst_gold"`);
        if (item?.hasTag("minecraft:is_pickaxe"))
            if (item?.typeId.startsWith('alloys:'))
                if (block.type.id == 'alloys:ancient_alloy_block')
                    blockcommand.runCommand(`loot spawn ${x} ${y} ${z} loot "alloys_blocks/ancient"`);
        if (player.hasTag('alloypickaxetiers2'))
            if (block.type.id == 'alloys:ancient_alloy_block')
                blockcommand.runCommand(`loot spawn ${x} ${y} ${z} loot "alloys_blocks/ancient"`);
        if (item?.hasTag("minecraft:is_pickaxe"))
            if (item?.typeId.startsWith('alloys:'))
                if (block.type.id == 'alloys:blazing_glow_alloy_block')
                    blockcommand.runCommand(`loot spawn ${x} ${y} ${z} loot "alloys_blocks/blazing_glow"`);
        if (player.hasTag('alloypickaxetiers2'))
            if (block.type.id == 'alloys:blazing_glow_alloy_block')
                blockcommand.runCommand(`loot spawn ${x} ${y} ${z} loot "alloys_blocks/blazing_glow"`);
        if (item?.hasTag("minecraft:is_pickaxe"))
            if (item?.typeId.startsWith('alloys:'))
                if (block.type.id == 'alloys:cherry_alloy_block')
                    blockcommand.runCommand(`loot spawn ${x} ${y} ${z} loot "alloys_blocks/cherry"`);
        if (player.hasTag('alloypickaxetiers2'))
            if (block.type.id == 'alloys:cherry_alloy_block')
                blockcommand.runCommand(`loot spawn ${x} ${y} ${z} loot "alloys_blocks/cherry"`);
        if (item?.hasTag("minecraft:is_pickaxe"))
            if (item?.typeId.startsWith('alloys:'))
                if (block.type.id == 'alloys:chorus_shulker_alloy_block')
                    blockcommand.runCommand(`loot spawn ${x} ${y} ${z} loot "alloys_blocks/chorus_shulker"`);
        if (player.hasTag('alloypickaxetiers2'))
            if (block.type.id == 'alloys:chorus_shulker_alloy_block')
                blockcommand.runCommand(`loot spawn ${x} ${y} ${z} loot "alloys_blocks/chorus_shulker"`);
        if (item?.hasTag("minecraft:is_pickaxe"))
            if (item?.typeId.startsWith('alloys:'))
                if (block.type.id == 'alloys:copper_tuff_alloy_block')
                    blockcommand.runCommand(`loot spawn ${x} ${y} ${z} loot "alloys_blocks/copper_tuff"`);
        if (player.hasTag('alloypickaxetiers2'))
            if (block.type.id == 'alloys:copper_tuff_alloy_block')
                blockcommand.runCommand(`loot spawn ${x} ${y} ${z} loot "alloys_blocks/copper_tuff"`);
        if (item?.hasTag("minecraft:is_pickaxe"))
            if (item?.typeId.startsWith('alloys:'))
                if (block.type.id == 'alloys:creaking_alloy_block')
                    blockcommand.runCommand(`loot spawn ${x} ${y} ${z} loot "alloys_blocks/creaking"`);
        if (player.hasTag('alloypickaxetiers2'))
            if (block.type.id == 'alloys:creaking_alloy_block')
                blockcommand.runCommand(`loot spawn ${x} ${y} ${z} loot "alloys_blocks/creaking"`);
        if (item?.hasTag("minecraft:is_pickaxe"))
            if (item?.typeId.startsWith('alloys:'))
                if (block.type.id == 'alloys:crimson_wart_alloy_block')
                    blockcommand.runCommand(`loot spawn ${x} ${y} ${z} loot "alloys_blocks/crimson_wart"`);
        if (player.hasTag('alloypickaxetiers2'))
            if (block.type.id == 'alloys:crimson_wart_alloy_block')
                blockcommand.runCommand(`loot spawn ${x} ${y} ${z} loot "alloys_blocks/crimson_wart"`);
        if (item?.hasTag("minecraft:is_pickaxe"))
            if (item?.typeId.startsWith('alloys:'))
                if (block.type.id == 'alloys:dragon_obsidian_alloy_block')
                    blockcommand.runCommand(`loot spawn ${x} ${y} ${z} loot "alloys_blocks/dragon_obsidian"`);
        if (player.hasTag('alloypickaxetiers2'))
            if (block.type.id == 'alloys:dragon_obsidian_alloy_block')
                blockcommand.runCommand(`loot spawn ${x} ${y} ${z} loot "alloys_blocks/dragon_obsidian"`);
        if (item?.hasTag("minecraft:is_pickaxe"))
            if (item?.typeId.startsWith('alloys:'))
                if (block.type.id == 'alloys:elf_alloy_block')
                    blockcommand.runCommand(`loot spawn ${x} ${y} ${z} loot "alloys_blocks/elf"`);
        if (player.hasTag('alloypickaxetiers2'))
            if (block.type.id == 'alloys:elf_alloy_block')
                blockcommand.runCommand(`loot spawn ${x} ${y} ${z} loot "alloys_blocks/elf"`);
        if (item?.hasTag("minecraft:is_pickaxe"))
            if (item?.typeId.startsWith('alloys:'))
                if (block.type.id == 'alloys:ember_alloy_block')
                    blockcommand.runCommand(`loot spawn ${x} ${y} ${z} loot "alloys_blocks/ember"`);
        if (player.hasTag('alloypickaxetiers2'))
            if (block.type.id == 'alloys:ember_alloy_block')
                blockcommand.runCommand(`loot spawn ${x} ${y} ${z} loot "alloys_blocks/ember"`);
        if (item?.hasTag("minecraft:is_pickaxe"))
            if (item?.typeId.startsWith('alloys:'))
                if (block.type.id == 'alloys:endstone_quartz_block')
                    blockcommand.runCommand(`loot spawn ${x} ${y} ${z} loot "alloys_blocks/endstone_quartz"`);
        if (player.hasTag('alloypickaxetiers2'))
            if (block.type.id == 'alloys:endstone_quartz_block')
                blockcommand.runCommand(`loot spawn ${x} ${y} ${z} loot "alloys_blocks/endstone_quartz"`);
        if (item?.hasTag("minecraft:is_pickaxe"))
            if (item?.typeId.startsWith('alloys:'))
                if (block.type.id == 'alloys:flaming_alloy_block')
                    blockcommand.runCommand(`loot spawn ${x} ${y} ${z} loot "alloys_blocks/flaming"`);
        if (player.hasTag('alloypickaxetiers2'))
            if (block.type.id == 'alloys:flaming_alloy_block')
                blockcommand.runCommand(`loot spawn ${x} ${y} ${z} loot "alloys_blocks/flaming"`);
        if (item?.hasTag("minecraft:is_pickaxe"))
            if (item?.typeId.startsWith('alloys:'))
                if (block.type.id == 'alloys:gemmy_alloy_block')
                    blockcommand.runCommand(`loot spawn ${x} ${y} ${z} loot "alloys_blocks/gemmy"`);
        if (player.hasTag('alloypickaxetiers2'))
            if (block.type.id == 'alloys:gemmy_alloy_block')
                blockcommand.runCommand(`loot spawn ${x} ${y} ${z} loot "alloys_blocks/gemmy"`);
        if (item?.hasTag("minecraft:is_pickaxe"))
            if (item?.typeId.startsWith('alloys:'))
                if (block.type.id == 'alloys:icy_alloy_block')
                    blockcommand.runCommand(`loot spawn ${x} ${y} ${z} loot "alloys_blocks/icy"`);
        if (player.hasTag('alloypickaxetiers2'))
            if (block.type.id == 'alloys:icy_alloy_block')
                blockcommand.runCommand(`loot spawn ${x} ${y} ${z} loot "alloys_blocks/icy"`);
        if (item?.hasTag("minecraft:is_pickaxe"))
            if (item?.typeId.startsWith('alloys:'))
                if (block.type.id == 'alloys:mana_alloy_block')
                    blockcommand.runCommand(`loot spawn ${x} ${y} ${z} loot "alloys_blocks/mana"`);
        if (player.hasTag('alloypickaxetiers2'))
            if (block.type.id == 'alloys:mana_alloy_block')
                blockcommand.runCommand(`loot spawn ${x} ${y} ${z} loot "alloys_blocks/mana"`);
        if (item?.hasTag("minecraft:is_pickaxe"))
            if (item?.typeId.startsWith('alloys:'))
                if (block.type.id == 'alloys:oceanic_alloy_block')
                    blockcommand.runCommand(`loot spawn ${x} ${y} ${z} loot "alloys_blocks/oceanic"`);
        if (player.hasTag('alloypickaxetiers2'))
            if (block.type.id == 'alloys:oceanic_alloy_block')
                blockcommand.runCommand(`loot spawn ${x} ${y} ${z} loot "alloys_blocks/oceanic"`);
        if (item?.hasTag("minecraft:is_pickaxe"))
            if (item?.typeId.startsWith('alloys:'))
                if (block.type.id == 'alloys:redstone_rock_alloy_block')
                    blockcommand.runCommand(`loot spawn ${x} ${y} ${z} loot "alloys_blocks/redstone_rock"`);
        if (player.hasTag('alloypickaxetiers2'))
            if (block.type.id == 'alloys:redstone_rock_alloy_block')
                blockcommand.runCommand(`loot spawn ${x} ${y} ${z} loot "alloys_blocks/redstone_rock"`);
        if (item?.hasTag("minecraft:is_pickaxe"))
            if (item?.typeId.startsWith('alloys:'))
                if (block.type.id == 'alloys:sculk_steel_block')
                    blockcommand.runCommand(`loot spawn ${x} ${y} ${z} loot "alloys_blocks/sculk_steel"`);
        if (player.hasTag('alloypickaxetiers2'))
            if (block.type.id == 'alloys:sculk_steel_block')
                blockcommand.runCommand(`loot spawn ${x} ${y} ${z} loot "alloys_blocks/sculk_steel"`);
        if (item?.hasTag("minecraft:is_pickaxe"))
            if (item?.typeId.startsWith('alloys:'))
                if (block.type.id == 'alloys:soul_alloy_block')
                    blockcommand.runCommand(`loot spawn ${x} ${y} ${z} loot "alloys_blocks/soul"`);
        if (player.hasTag('alloypickaxetiers2'))
            if (block.type.id == 'alloys:soul_alloy_block')
                blockcommand.runCommand(`loot spawn ${x} ${y} ${z} loot "alloys_blocks/soul"`);
        if (item?.hasTag("minecraft:is_pickaxe"))
            if (item?.typeId.startsWith('alloys:'))
                if (block.type.id == 'alloys:storm_alloy_block')
                    blockcommand.runCommand(`loot spawn ${x} ${y} ${z} loot "alloys_blocks/storm"`);
        if (player.hasTag('alloypickaxetiers2'))
            if (block.type.id == 'alloys:storm_alloy_block')
                blockcommand.runCommand(`loot spawn ${x} ${y} ${z} loot "alloys_blocks/storm"`);
        if (item?.hasTag("minecraft:is_pickaxe"))
            if (item?.typeId.startsWith('alloys:'))
                if (block.type.id == 'alloys:warped_wart_alloy_block')
                    blockcommand.runCommand(`loot spawn ${x} ${y} ${z} loot "alloys_blocks/warped_wart"`);
        if (player.hasTag('alloypickaxetiers2'))
            if (block.type.id == 'alloys:warped_wart_alloy_block')
                blockcommand.runCommand(`loot spawn ${x} ${y} ${z} loot "alloys_blocks/warped_wart"`);
        if (item?.hasTag("minecraft:is_pickaxe"))
            if (item?.typeId.startsWith('alloys:'))
                if (block.type.id == 'alloys:watcher_alloy_block')
                    blockcommand.runCommand(`loot spawn ${x} ${y} ${z} loot "alloys_blocks/watcher"`);
        if (player.hasTag('alloypickaxetiers2'))
            if (block.type.id == 'alloys:watcher_alloy_block')
                blockcommand.runCommand(`loot spawn ${x} ${y} ${z} loot "alloys_blocks/watcher"`);
        if (item?.hasTag("minecraft:is_pickaxe"))
            if (item?.typeId.startsWith('alloys:'))
                if (block.type.id == 'alloys:wither_iron_block')
                    blockcommand.runCommand(`loot spawn ${x} ${y} ${z} loot "alloys_blocks/wither_iron"`);
        if (player.hasTag('alloypickaxetiers2'))
            if (block.type.id == 'alloys:wither_iron_block')
                blockcommand.runCommand(`loot spawn ${x} ${y} ${z} loot "alloys_blocks/wither_iron"`);
    }
});
world.afterEvents.entityHurt.subscribe(abilityswords => {
    const player = abilityswords.damageSource.damagingEntity;
    const target = abilityswords.hurtEntity;
    var damage = abilityswords.damage;
    const item = player.getComponent("minecraft:inventory").container.getItem(player.selectedSlotIndex);
    if (item?.hasTag("minecraft:is_sword")) {
        if (world.gameRules.doMobLoot == true) {
            if (item?.typeId.startsWith('alloys:crimson_wart_'))
                target.runCommand('function crim_weapon');
            if (item?.typeId.startsWith('alloys:gemmy_'))
                target.runCommand('function g_loot');
            if (item?.typeId.startsWith('alloys:sculk_'))
                player.runCommand('function s_weapon');
        }
        if (item?.typeId.startsWith('alloys:ancient_'))
            target.runCommand('function anc_weapon');
        if (item?.typeId.startsWith('alloys:blazing_')) {
            player.runCommand('function b_weapon');
            target.setOnFire(4, true)
        }
        if (item?.typeId.startsWith('alloys:cherry_'))
            player.runCommand('function cherry_weapon');
        if (item?.typeId.startsWith('alloys:chorus_shulker_'))
            player.runCommand('function c_weapon_1');
        if (item?.typeId.startsWith('alloys:endstone_quartz_'))
            target.runCommand('function e_weapon');
        if (item?.typeId.startsWith('alloys:ember_'))
            if (item?.getComponent('minecraft:enchantable').hasEnchantment('minecraft:fire_aspect'))
                target.applyDamage(damage + 4);
        if (item?.typeId.startsWith('alloys:flaming_'))
            target.setOnFire(20, true);
        if (item?.typeId.startsWith('alloys:gilded_amethyst_'))
            player.runCommand('function a_weapon');
        if (item?.typeId.startsWith('alloys:icy_'))
            target.runCommand('function i_weapon');
        if (item?.typeId.startsWith('alloys:mana_'))
            target.runCommand('function m_weapon');
        if (item?.typeId.startsWith('alloys:oceanic_'))
            target.runCommand('function o_weapon');
        if (item?.typeId.startsWith('alloys:redstone_rock_'))
            player.runCommand('function redstone_weapon');
        if (item?.typeId.startsWith('alloys:soul_'))
            target.runCommand('function soul_weapon');
        if (item?.typeId.startsWith('alloys:soul_'))
            player.runCommand('function soul_weapon_1');
        if (item?.typeId.startsWith('alloys:warped_wart_'))
            player.runCommand('function warp_weapon');
        if (item?.typeId.startsWith('alloys:watcher_'))
            target.runCommand('function watch_weapon');
        if (item?.typeId.startsWith('alloys:creaking_'))
            target.runCommand('scoreboard players random @s creaksword 1 10');
        if (item?.typeId.startsWith('alloys:creaking_'))
            target.runCommandAsync('effect @s[scores={creaksword=1..3}] wither 6 3');
        if (item?.typeId.startsWith('alloys:storm_')) {
            if (target.isOnGround == false)
                target.applyDamage(damage + 2);
            if (target.isOnGround)
                player.runCommand('effect @s weakness 2 4 true');
        }
        if (item?.typeId.startsWith('alloys:copper_tuff_')) {
            target.runCommand('scoreboard players random @s ctweakness 1 2');
            target.runCommandAsync('effect @s[scores={ctweakness=1}] weakness 4 2');
        }

    }
    if (item?.hasTag("minecraft:is_tool"))
        if (item?.hasTag("minecraft:is_sword") == false) {
            if (item?.typeId.startsWith('alloys:flaming_'))
                target.setOnFire(20, true);

        }
    world.afterEvents.entityHealthChanged.subscribe(abilityhealth => {
        const nv = abilityhealth.newValue > 34;
        const dmg = damage + 4
        if (item?.hasTag("minecraft:is_sword"))
            if (item?.typeId.startsWith('alloys:dragon_obsidian_'))
                if (nv)
                    target.applyDamage(dmg);
    });
    if (player.hasTag('coppertuff_armor')) {
        player.runCommand('effect @s hunger 3 7 true');
        target.runCommand('scoreboard players add @s ctlgnbl 1');
        if (target.hasTag('ctlgnbl'))
            player.runCommand('scoreboard players add @s ctlbs 1');
        if (target.hasTag('ctlgnbl'))
            target.runCommand('scoreboard players set @s ctlgnbl 0');
    }
});
world.afterEvents.entityDie.subscribe(abilitydie => {
    const target = abilitydie.deadEntity;
    const player = abilitydie.damageSource.damagingEntity;
    const item = player.getComponent("minecraft:inventory").container.getItem(player.selectedSlotIndex);
    if (item?.hasTag("minecraft:is_sword")) {
        if (item?.typeId.startsWith('alloys:wither_iron_'))
            if (world.gameRules.doMobLoot == true)
                target.runCommand('execute if entity @s[type=wither_skeleton] run function w_weapon');
        if (item?.typeId.startsWith('alloys:creaking_'))
            player.runCommand('scoreboard players add @s[scores={resinshield=..19}] resinshield 1');
    }
    if (item?.hasTag("minecraft:is_tool"))
        if (item?.hasTag("minecraft:is_sword") == false) {
            if (world.gameRules.doMobLoot == true) {
                if (item?.typeId.startsWith('alloys:watcher_'))
                    target.runCommand('loot spawn ~~~ loot "watcher"');
            }
        }
    if (world.gameRules.doMobLoot == true)
        if (player.hasTag('sculk_armour'))
            player.runCommand('scoreboard players random @s sculkexp 1 200');
    if (player.hasTag('creaking_armor'))
        player.runCommand('scoreboard players add @s[scores={resinshield=..19}] resinshield 4');
    if (player.hasTag('coppertuff_armor'))
        player.runCommand('effect @s saturation 1 2 true');
});
world.afterEvents.itemUse.subscribe(abilityuse => {
    const player = abilityuse.source;
    const item = abilityuse.itemStack;
    if (item?.hasTag("minecraft:is_sword"))
        if (item?.typeId.startsWith('alloys:elf_'))
            player.runCommand('effect @s regeneration 4 2 true');
    if (player.hasTag('creaking_armor')) {
        if (item?.typeId == 'minecraft:resin_clump') {
            player.runCommand('scoreboard players add @s[scores={resinshield=..19}] resinshield 2');
            player.runCommand('clear @s[scores={resinshield=..19}, tag=!alloyscreative] resin_clump 0 1');
        }
        if (item?.typeId == 'minecraft:resin_brick') {
            player.runCommand('scoreboard players add @s[scores={resinshield=..19}] resinshield 2');
            player.runCommand('clear @s[scores={resinshield=..19}, tag=!alloyscreative] resin_brick 0 1');
        }
    }
});
world.afterEvents.itemUseOn.subscribe(abilityuseon => {
    const player = abilityuseon.source;
    const item = abilityuseon.itemStack;
    if (player.hasTag('creaking_armor'))
        if (item?.typeId == 'minecraft:resin_clump') {
            player.runCommand('scoreboard players remove @s[scores={resinshield=..19}] resinshield 2');
            player.runCommand('give @s[scores={resinshield=..19}, tag=!alloyscreative] resin_clump');
        }
})
world.afterEvents.playerBreakBlock.subscribe(abilitytools => {
    const player = abilitytools.player;
    const item = abilitytools.itemStackAfterBreak;
    const block = abilitytools.brokenBlockPermutation;
    const blockcommand = abilitytools.dimension;
    const location = abilitytools.block;
    const silktouch = item?.getComponent("minecraft:enchantable").hasEnchantment('minecraft:silk_touch')
    const x = Math.round(location.x);
    const y = Math.round(location.y);
    const z = Math.round(location.z);

    if (item?.hasTag("minecraft:is_tool"))
        if (item?.hasTag("minecraft:is_sword") == false) {
            if (world.gameRules.doTileDrops == true) {
                if (item?.typeId.startsWith('alloys:ancient_'))
                    player.runCommand('scoreboard players random @s ancientsherd 1 10');
                if (item?.typeId.startsWith('alloys:ancient_'))
                    if (player.hasTag('ancientsherd'))
                        blockcommand.runCommandAsync(`loot spawn ${x} ${y} ${z} loot "sherd"`);
                if (item?.typeId.startsWith('alloys:crimson_wart_'))
                    if (block.type.id.includes('gold'))
                        if (block.type.id.includes('ore'))
                            if (silktouch == false)
                                blockcommand.runCommand(`loot spawn ${x} ${y} ${z} loot "crimson_wart"`);
                if (item?.typeId.startsWith('alloys:gemmy_'))
                    blockcommand.runCommand(`loot spawn ${x} ${y} ${z} loot "gemmy"`);
                if (item?.typeId.startsWith('alloys:watcher_'))
                    blockcommand.runCommand(`summon silverfish ${x} ${y} ${z}`);
                if (item?.typeId.startsWith('alloys:wither_iron_'))
                    blockcommand.runCommand(`loot spawn ${x} ${y} ${z} loot "wither_iron"`);
                if (item?.typeId.startsWith('alloys:warped_wart_'))
                    if (block.type.id.includes('diamond'))
                        if (block.type.id.includes('ore'))
                            if (silktouch == false)
                                blockcommand.runCommand(`loot spawn ${x} ${y} ${z} loot "warped_wart"`);
            }
            if (item?.typeId.startsWith('alloys:cherry_'))
                player.runCommand(`function cherry_tool`);
            if (item?.typeId.startsWith('alloys:gilded_amethyst_'))
                player.runCommand('function a_tool');
            if (item?.typeId.startsWith('alloys:copper_tuff_'))
                if (block.type.id.includes('copper_ore'))
                    blockcommand.runCommandAsync(`loot spawn ${x} ${y} ${z} loot "copper_tuff"`);
            if (item?.typeId.startsWith('alloys:endstone_quartz_'))
                if (block.type.id.includes('quartz_ore'))
                    blockcommand.runCommandAsync(`loot spawn ${x} ${y} ${z} loot "endstone_quartz"`);
        }
    if (item?.hasTag("minecraft:is_tool")) {
        if (item?.typeId.startsWith('alloys:creaking_'))
            player.runCommand('scoreboard players add @s[scores={resinshield=..19}] resinshield 1');
        if (item?.typeId.startsWith('alloys:redstone_rock_'))
            player.runCommand('function redstone_tool');
    }
    if (world.gameRules.doTileDrops == true) {
        if (item?.hasTag("minecraft:is_tool"))
            if (item?.typeId.startsWith('alloys:sculk_'))
                blockcommand.runCommand(`summon xp_orb ${x} ${y} ${z}`);
    }
    if (world.gameRules.doTileDrops == true) {
        if (player.hasTag('gemmy_armor'))
            if (block.type.id == 'minecraft:emerald_block')
                blockcommand.runCommandAsync(`loot spawn ${x} ${y} ${z} loot "gemmyemerald"`);
    }
});
world.afterEvents.entityHurt.subscribe(amabilhurt => {
    const player = amabilhurt.hurtEntity
    const target = amabilhurt.damageSource.damagingEntity
    const projectile = amabilhurt.damageSource.damagingProjectile
    const damage = amabilhurt.damage
    const damagec = amabilhurt.damageSource.cause.match("fall")
    const dmg1 = (damage * 0.25) + 2
    const dmg2 = damage * 2
    const scoreswatcher = world.scoreboard.getObjective("watcherhurt")
    if (player.hasTag('amethyst'))
        target.runCommand(`damage @s ${Math.round(dmg1)} thorns`)
    if (player.hasTag('watcheramour')) {
        player.runCommand('execute at @e[r=32, family=!inanimate, rm=0.5] run scoreboard players add @s watcherhurt 1')
        player.runCommandAsync(`damage @e[r=32, family=!inanimate, rm=0.5] ${scoreswatcher.getScore(player)} entity_attack`)
        player.runCommandAsync('scoreboard players reset @s watcherhurt')
    }
    if (player.hasTag('creaking_armor'))
        if (player.hasTag('resinshield'))
            if (player.hasTag('resinshieldcd') == false) {
                if (player.hasTag('resinshieldstrong') == false)
                    target.runCommand(`damage @s 2 wither`)
                if (player.hasTag('resinshieldstrong'))
                    target.runCommand(`damage @s 3 wither`)
                if (player.hasTag('resinshieldstrong') == false)
                    target.runCommand('effect @s wither 4 2')
                if (player.hasTag('resinshieldstrong'))
                    target.runCommand('effect @s wither 5 2')
            }
    if (player.hasTag('stormfall'))
        if (damagec) {
            player.applyDamage(dmg2)
            player.runCommandAsync('tag @s remove stormfall')
        }
});
world.afterEvents.entityHealthChanged.subscribe(amabilhealth => {
    const player = amabilhealth.entity
    const nh1 = amabilhealth.newValue > 10
    const nh2 = amabilhealth.newValue <= 10
    if (player.hasTag('creaking_armor'))
        if (player.hasTag('resinshield'))
            if (player.hasTag('resinshieldcd') == false) {
                if (nh1)
                    player.runCommand('scoreboard players remove @s resinshield 2')
                if (nh2)
                    player.runCommand('scoreboard players remove @s resinshield 1')
            }
});
world.afterEvents.entityHurt.subscribe(stormfall => {
    const player = stormfall.hurtEntity
    const damage = stormfall.damage
    const damagec = stormfall.damageSource.cause.match("fall")
    const dmg = (damage + 2) * 2
    if (player.hasTag('stormfall'))
        if (damagec) {
            player.applyDamage(dmg)
            player.runCommand('tag @s remove stormfall')
        }
});
world.afterEvents.entityHitEntity.subscribe(ambilattack => {
    const player = ambilattack.damagingEntity
    const target = ambilattack.hitEntity
    if (player.hasTag('flaming_armour'))
        target.setOnFire(3, true)
    if (player.hasTag('storm_armor')) {
        target.applyKnockback(0, 0, 0, 1.05)
        target.runCommand('execute at @s run summon alloys:stormknockback ~~~')
        target.runCommand('execute at @s run particle minecraft:wind_explosion_emitter ~~~')
        player.runCommand('tag @s add stormknock')
        target.runCommand('tag @s add stormfall')
    }
});
world.beforeEvents.worldInitialize.subscribe((components) => {
    const { itemComponentRegistry } = components
    itemComponentRegistry.registerCustomComponent("alloys:use", {
        onUseOn: (components) => {
            const player = components.source;
            const item = components.itemStack;
            const block = components.usedOnBlockPermutation;
            const location = components.block;
            const x = location.x;
            const y = location.y;
            const z = location.z;
            if (item.typeId.startsWith('alloys:'))
                if (item.typeId.endsWith('_shovel')) {
                    if (block.type.id == 'minecraft:grass_block')
                        location.dimension.runCommand(`setblock ${x} ${y} ${z} grass_path`);
                    if (block.type.id == 'minecraft:dirt')
                        location.dimension.runCommand(`setblock ${x} ${y} ${z} grass_path`);
                    if (block.type.id == 'minecraft:coarse_dirt')
                        location.dimension.runCommand(`setblock ${x} ${y} ${z} grass_path`);
                    if (block.type.id == 'minecraft:dirt_with_roots')
                        location.dimension.runCommand(`setblock ${x} ${y} ${z} grass_path`);
                    if (block.type.id == 'minecraft:podzol')
                        location.dimension.runCommand(`setblock ${x} ${y} ${z} grass_path`);
                    if (block.type.id == 'minecraft:mycelium')
                        location.dimension.runCommand(`setblock ${x} ${y} ${z} grass_path`);
                    if (block.type.id == 'minecraft:snow_layer')
                        location.dimension.runCommand(`setblock ${x} ${y} ${z} air [] destroy`);
                }
        }
    })
});

world.afterEvents.itemUse.subscribe(afb => {
    if (afb.source.isSneaking) {
        if (afb.itemStack.typeId == 'alloys:alloys_forging_book_en')
            afb.source.runCommandAsync('replaceitem entity @s slot.weapon.mainhand 0 alloys:alloys_forging_book_tr')
        if (afb.itemStack.typeId == 'alloys:alloys_forging_book_tr')
            afb.source.runCommandAsync('replaceitem entity @s slot.weapon.mainhand 0 alloys:alloys_forging_book_en')
    }
});
world.afterEvents.itemUse.subscribe(alloysen => {
    if (alloysen.source.isSneaking == false) {
        if (alloysen.itemStack.typeId == 'alloys:alloys_forging_book_en')
            AlloysMenuEN(alloysen.source);
    }
});
function AlloysMenuEN(player) {
    const button = new ActionFormData
    button.title("§6§lAlloys Forging Book")
        .button("§3Introduction", "textures/items/alloys_forging_book")
        .button("§3Alloys", "textures/items/sculk_steel_alloy")
        .button("§3Blocks", "textures/blocks/ember_alloy_block")
        .button("§3Equipment", "textures/items/dragon_obsidian_chestplate")
    if (player);
    button.show(player).then((selection) => {
        if (selection.selection == 0)
            IntroductionEN(player);
        if (selection.selection == 1)
            AlloysEN(player);
        if (selection.selection == 2)
            BlocksEN(player);
        if (selection.selection == 3)
            EquipmentEN(player);
        if (selection.canceled) return;
    })
};
function IntroductionEN(player) {
    const button = new ActionFormData
    button.title("§6§lIntroduction")
        .body("§8Thanks for downloading this addon! This book will guide you to craft those amazing and powerful gears. This book is craftable so you can craft it again if needed. You can also put this book inside Chiseled Bookshelves to save your Chests space.\n\n\n\n\n\n\n\n")
        .button("               §3Back")
    if (player);
    button.show(player).then((selection) => {
        if (selection.selection == 0)
            AlloysMenuEN(player);
        if (selection.canceled) return;
    })
};
function AlloysEN(player) {
    const button = new ActionFormData
    button.title("§6§lAlloys")
        .body("§8By using Alloys, player can make powerful gears including armours, swords and tools in Equipment Workbenches.\n\n\n\n\n\n\n\n\n\n\n\n")
        .button("               §3Back")
    if (player);
    button.show(player).then((selection) => {
        if (selection.selection == 0)
            AlloysMenuEN(player);
        if (selection.canceled) return;
    })
};
function BlocksEN(player) {
    const button = new ActionFormData
    button.title("§6§lBlocks")
        .button("§3Alloy Blocks", "textures/blocks/warped_wart_alloy_block")
        .button("§3Alloys Maker", "textures/blocks/alloys_maker_up")
        .button("§3Equipment Workbench", "textures/blocks/equipment_workbench_up")
        .button("               §3Back")
    if (player);
    button.show(player).then((selection) => {
        if (selection.selection == 0)
            AlloyBlocksEN(player);
        if (selection.selection == 1)
            AlloysMakerEN(player);
        if (selection.selection == 2)
            EquipWorkbenchEN(player);
        if (selection.selection == 3)
            AlloysMenuEN(player);
        if (selection.canceled) return;
    })
};
function AlloyBlocksEN(player) {
    const button = new ActionFormData
    button.title("§6§lAlloy Blocks")
        .body("§8Make using 9 alloy ingots in Crafting Table. Can only be used for decoration. Required at least diamond tier pickaxes to break.\n\n\n\n\n\n\n\n\n\n\n\n")
        .button("               §3Back")
    if (player);
    button.show(player).then((selection) => {
        if (selection.selection == 0)
            BlocksEN(player);
        if (selection.canceled) return;
    })
};
function AlloysMakerEN(player) {
    const button = new ActionFormData
    button.title("§6§lAlloys Maker")
        .body("§8A crafting table which can be used to craft alloys. To craft an alloy, player needs 2 or 3 different ingredients and a Netherite Ingot. Required at least wooden tier pickaxes to break.\n\n\n\n\n\n\n\n\n")
        .button("               §3Back")
    if (player);
    button.show(player).then((selection) => {
        if (selection.selection == 0)
            BlocksEN(player);
        if (selection.canceled) return;
    })
};
function EquipWorkbenchEN(player) {
    const button = new ActionFormData
    button.title("§6§lEquipment Workbench")
        .body("§8A crafting table which can be used to craft gears made with alloys. Player needs a pattern and an alloy then put them in equipment workbench to craft gears wanted. To craft a pattern, player needs 4 iron ingots and a piece of iron equipment e.g. use iron chestplate to craft a chestplate pattern. Required at least wooden tier pickaxes to break.\n\n\n")
        .button("               §3Back")
    if (player);
    button.show(player).then((selection) => {
        if (selection.selection == 0)
            BlocksEN(player);
        if (selection.canceled) return;
    })
};
function EquipmentEN(player) {
    const button = new ActionFormData
    button.title("§6§lEquipment")
        .button("§3Ancient", "textures/items/ancient_chestplate")
        .button("§3Blazing Glow", "textures/items/blazing_glow_chestplate")
        .button("§3Cherry", "textures/items/cherry_chestplate")
        .button("§3Chorus Shulker", "textures/items/chorus_shulker_chestplate")
        .button("§3Copper Tuff", "textures/items/copper_tuff_chestplate")
        .button("§3Creaking", "textures/items/creaking_chestplate")
        .button("§3Crimson Wart", "textures/items/crimson_wart_chestplate")
        .button("§3Dragon Obsidian", "textures/items/dragon_obsidian_chestplate")
        .button("§3Elf", "textures/items/elf_chestplate")
        .button("§3Ember", "textures/items/ember_chestplate")
        .button("§3Endstone Quartz", "textures/items/endstone_quartz_chestplate")
        .button("§3Flaming", "textures/items/flaming_chestplate")
        .button("§3Gemmy", "textures/items/gemmy_chestplate")
        .button("§3Gilded Amethyst", "textures/items/gilded_amethyst_chestplate")
        .button("§3Icy", "textures/items/icy_chestplate")
        .button("§3Mana", "textures/items/mana_chestplate")
        .button("§3Oceanic", "textures/items/oceanic_chestplate")
        .button("§3Redstone Rock", "textures/items/redstone_rock_chestplate")
        .button("§3Sculk", "textures/items/sculk_chestplate")
        .button("§3Soul", "textures/items/soul_chestplate")
        .button("§3Storm", "textures/items/storm_chestplate")
        .button("§3Warped Wart", "textures/items/warped_wart_chestplate")
        .button("§3Watcher", "textures/items/watcher_chestplate")
        .button("§3Wither Iron", "textures/items/wither_iron_chestplate")
        .button("               §3Back")
    if (player);
    button.show(player).then((selection) => {
        if (selection.selection == 0)
            AncientEN(player);
        if (selection.selection == 1)
            BlazingGlowEN(player);
        if (selection.selection == 2)
            CherryEN(player);
        if (selection.selection == 3)
            ChorusShulkerEN(player);
        if (selection.selection == 4)
            CopperTuffEN(player);
        if (selection.selection == 5)
            CreakingEN(player);
        if (selection.selection == 6)
            CrimsonWartEN(player);
        if (selection.selection == 7)
            DragonObsidianEN(player);
        if (selection.selection == 8)
            ElfEN(player);
        if (selection.selection == 9)
            EmberEN(player);
        if (selection.selection == 10)
            EndstoneQuartzEN(player);
        if (selection.selection == 11)
            FlamingEN(player);
        if (selection.selection == 12)
            GemmyEN(player);
        if (selection.selection == 13)
            GildedAmethystEN(player);
        if (selection.selection == 14)
            IcyEN(player);
        if (selection.selection == 15)
            ManaEN(player);
        if (selection.selection == 16)
            OceanicEN(player);
        if (selection.selection == 17)
            RedstoneRockEN(player);
        if (selection.selection == 18)
            SculkEN(player);
        if (selection.selection == 19)
            SoulEN(player);
        if (selection.selection == 20)
            StormEN(player);
        if (selection.selection == 21)
            WarpedWartEN(player);
        if (selection.selection == 22)
            WatcherEN(player);
        if (selection.selection == 23)
            WitherIronEN(player);
        if (selection.selection == 24)
            AlloysMenuEN(player);
        if (selection.canceled) return;
    })
};
function AncientEN(player) {
    const button = new ActionFormData
    button.title("§6§lAncient")
        .body("§8§lArmour Ability\n§r§a§2+ §aRegeneration II and Resistance IV.\n§2+ §aGain Speed II while stepping on Stone, Cobblestone, Deepslate, Cobbled Deepslate, Granite, Diorite and Andesite.\n§4- §cBad Omen III.\n§4- §cWhile staying in lava, wearer receives extra lava damage and Weakness II Effect.\n§8§lTool Ability\n§r§a§2+ §a40%% to drop a pottery sherd when mined block.\n§8§lWeapon Ability\n§r§a§2+ §aApply Slowness Effect to target, increasing effect levels(Max: VI) if hit constantly.")
        .button("               §3Back")
    if (player);
    button.show(player).then((selection) => {
        if (selection.selection == 0)
            EquipmentEN(player);
        if (selection.canceled) return;
    })
};
function BlazingGlowEN(player) {
    const button = new ActionFormData
    button.title("§6§lBlazing Glow")
        .body("§8§lArmour Ability\n§r§a§2+ §aFire Resistance and Night Vision.\n§2+ §aSummon an area which will damage mobs inside. Deal extra damage(+2) when soul sand or soul soil are in hotbar.\n§2+ §aGain Speed II while stepping on Netherrack and Blackstone.\n§8§lWeapon Ability\n§r§a§2+ §aApply Regeneration III to user and ignite target when used to attack.\n\n")
        .button("               §3Back")
    if (player);
    button.show(player).then((selection) => {
        if (selection.selection == 0)
            EquipmentEN(player);
        if (selection.canceled) return;
    })
};
function CherryEN(player) {
    const button = new ActionFormData
    button.title("§6§lCherry")
        .body("§8§lArmour Ability\n§r§a§2+ §aSpeed.\n§2+ §aGain Regeneration V and Saturation III when Cherry Tool or Weapon used.\n§2+ §aCreate an area called Cherry Area and damage mobs inside the area. Deal extra damage(+2) when Cherry Saplings are in hotbar.\n§2+ §aGain Speed II while stepping on Stone, Cobblestone, Deepslate, Cobbled Deepslate, Granite, Diorite and Andesite.\n§8§lTool Ability\n§r§a§2+ §aCreate an explosion when used to mine block.\n§8§lWeapon Ability\n§r§a§2+ §aCreate an explosion when used to attack.")
        .button("               §3Back")
    if (player);
    button.show(player).then((selection) => {
        if (selection.selection == 0)
            EquipmentEN(player);
        if (selection.canceled) return;
    })
};
function ChorusShulkerEN(player) {
    const button = new ActionFormData
    button.title("§6§lChorus Shulker")
        .body("§8§lArmour Ability\n§r§a§2+ §aResistance.\n§2+ §aImmune to Levitation Effect.\n§2+ §aImmune to attack damage of Arrows, Eggs, Snowballs, Thrown Tridents\n§2+ §aGain Resistance III and Slowness when Shulker Shells are in hotbar.\n§2+ §aGain Speed II while stepping on End Stone.\n§8§lTool Ability\n§r§a§2+ §aWhen used to mine a block, the tool will not lose durability if the player is holding a shield in their off hand.\n§8§lWeapon Ability\n§r§a§2+ §aGain Absorption when used to attack.")
        .button("               §3Back")
    if (player);
    button.show(player).then((selection) => {
        if (selection.selection == 0)
            EquipmentEN(player);
        if (selection.canceled) return;
    })
};
function CopperTuffEN(player) {
    const button = new ActionFormData
    button.title("§6§lCopper Tuff")
        .body("§8§lArmour Ability\n§r§a§2+ §aHaste II.\n§2+ §aGain Saturation III(1s) Effect when a mob killed.\n§2+ §aWhen attacked, apply an effect called Oxidized to the target, increasing the levels when wearer apply damage to target(+1 level/attack)(Max: 4 levels). Mobs with this effect always gain Weakness Effect based on the effect levels applied(5s). When the levels reached 4 and the mobs had been attacked, the effect will be cleared and transformed into a new effect called Deoxidize, then apply to the attacker. If the attacker didn't wear Copper Tuff Armour, Weakness V Effect will be applied, if the attacker wore, Strength Effect will be applied based on the Deoxidize Effect levels(10s).\n§2+ §aGain Speed II while stepping on Stone, Cobblestone, Deepslate, Cobbled Deepslate, Granite, Diorite and Andesite.\n§4- §cWeakness I.\n§4- §cGain Hunger VIII(3s) when attacked mob.\n§8§lTool Ability\n§r§a§2+ §a60%% to drop copper ingots when used to mine copper ore.\n§8§lWeapon Ability\n§r§a§2+ §a50%% to apply Weakness III(4s) Effect to target.")
        .button("               §3Back")
    if (player);
    button.show(player).then((selection) => {
        if (selection.selection == 0)
            EquipmentEN(player);
        if (selection.canceled) return;
    })
};
function CreakingEN(player) {
    const button = new ActionFormData
    button.title("§6§lCreaking")
        .body("§8§lArmour Ability\n§r§a§2+ §aNight Vision.\n§2+ §aGain Resin Shield. Resistance III Effect will be given to wearer when Resin Shield is fully charged(20/20), the effect will remain until the Resin Shield is broken(0/20). When wearer hurt, attackers will receive damage and Wither III(4s) Effect(Wither Thorn). The charge of Resin Shield decrease(-2) when hurt. It change to 1 instead of 2 when wearer's health points is below or equal to 10.\n§2+ §aConsuming Resin Clumps, Resin Bricks(+2) and killing mobs(+4) can repair Resin Shield.\n§2+ §aIncrease Wither Thorn damage(+1) and duration of Wither Effect(+1s) when Eyeblossoms(open/closed) are in hotbar.\n§2+ §aGain Speed II while stepping on Stone, Cobblestone, Deepslate, Cobbled Deepslate, Granite, Diorite and Andesite.\n§8§lTool Ability\n§r§a§2+ §aIncrease charge of Resin Shield(+1) when mined block.\n§8§lWeapon Ability\n§r§a§2+ §aIncrease charge of Resin Shield(+1) when killed mob. 30%% to apply Wither IV(6s) Effect to target.")
        .button("               §3Back")
    if (player);
    button.show(player).then((selection) => {
        if (selection.selection == 0)
            EquipmentEN(player);
        if (selection.canceled) return;
    })
};
function CrimsonWartEN(player) {
    const button = new ActionFormData
    button.title("§6§lCrimson Wart")
        .body("§8§lArmour Ability\n§r§a§2+ §aFire Resistance\n§2+ §aHoglins won't attack wearer.\n§2+ §aPiglins and Piglin Brutes won't attack wearer even they mined Gold Blocks and opened Chests.\n§2+ §aGain Speed II while stepping on Netherrack and Blackstone.\n§8§lTool Ability\n§r§a§2+ §a5%%/15%%/50%% to drop Gold Block/Gold Ingot/Gold Nugget when used to mine Gold Ore, Deepslate Gold Ore or Nether Gold Ore. If the tool is enchanted with Silk Touch, then this ability won't work.\n§8§lWeapon Ability\n§r§a§2+ §a5%%/15%%/50%% to drop Gold Nugget/Gold Ingot/Gold Block from target when used to attack.")
        .button("               §3Back")
    if (player);
    button.show(player).then((selection) => {
        if (selection.selection == 0)
            EquipmentEN(player);
        if (selection.canceled) return;
    })
};
function DragonObsidianEN(player) {
    const button = new ActionFormData
    button.title("§6§lDragon Obsidian")
        .body("§8§lArmour Ability\n§r§a§2+ §aGain Health Boost X, Resistance II and Strength II while staying in The End Dimension.\n§r§a§2+ §aGain Regeneration II when End Crystals are within 5 blocks.\n§2+ §aGain Speed II while stepping on End Stone.\n§4- §cGain Health Boost II, Slowness and Weakness while staying in Overworld and Nether Dimension.\n§8§lTool Ability\n§r§a§2+ §aFaster mining speed on Obsidian, Crying Obsidian and Dragon Obsidan Alloy Block.\n§8§lWeapon Ability\n§r§a§2+ §aDeal extra damage(+4) when hit a mob with remaining health higher than 35 health points.")
        .button("               §3Back")
    if (player);
    button.show(player).then((selection) => {
        if (selection.selection == 0)
            EquipmentEN(player);
        if (selection.canceled) return;
    })
};
function ElfEN(player) {
    const button = new ActionFormData
    button.title("§6§lElf")
        .body("§8§lArmour Ability\n§r§a§2+ §aRegeneration.\n§2+ §aApply Regeneration I Effect to wolf within 4.5 blocks.\n§2+ §aGain Haste II when holding Elf Tool.\n§2+ §aIncrease 200 Durability and 1 Unbreaking Level.\n§2+ §aGain random effect per minute when Spore Blossoms are in hotbar.\n§2+ §aGain Speed II while stepping on Stone, Cobblestone, Deepslate, Cobbled Deepslate, Granite, Diorite and Andesite.\n§8§lTool Ability\n§r§a§2+ §aIncrease 450 Durability.\n§8§lWeapon Ability\n§r§a§2+ §aIncrease 450 Durability. Apply Regeneration to user when right clicked/long pressed.")
        .button("               §3Back")
    if (player);
    button.show(player).then((selection) => {
        if (selection.selection == 0)
            EquipmentEN(player);
        if (selection.canceled) return;
    })
};
function EmberEN(player) {
    const button = new ActionFormData
    button.title("§6§lEmber")
        .body("§8§lArmour Ability\n§r§a§2+ §aNight Vision.\n§2+ §aGain Fire Resistance while staying in Nether Dimension. Gain Fire Resistance Effect even not in Nether Dimension when Blaze Rods are in hotbar.\n§2+ §aWearer is allowed to ride Ghasts and controlled them using Ember Weapons.\n§2+ §aWhen no any arrow and has at least one bow in wearer's hotbar, wearer will always receives an arrow. Shooting arrows will set target on fire.\n§2+ §aGain Speed II while stepping on Netherrack and Blackstone.\n§8§lTool Ability\n§r§a§2+ §aFaster mining speed on Blackstone-based blocks.\n§8§lWeapon Ability\n§r§a§2+ §aDeal extra damage(+4) when hit target using Ember Weapon with Fire Aspect enchantment.")
        .button("               §3Back")
    if (player);
    button.show(player).then((selection) => {
        if (selection.selection == 0)
            EquipmentEN(player);
        if (selection.canceled) return;
    })
};
function EndstoneQuartzEN(player) {
    const button = new ActionFormData
    button.title("§6§lEndstone Quartz")
        .body("§8§lArmour Ability\n§r§a§2+ §aStrength IV. Increase Strength Effect levels per 32 Quartzes in hotbar(Max: VI).\n§2+ §aGain Speed II while stepping on End Stone.\n§4- §cHunger X. Decrease Hunger Effect levels when there are mobs within 5 blocks.\n§8§lTool Ability\n§r§a§2+ §a50%% to drop quartzs when used to mine quartz ore.\n§8§lWeapon Ability\n§r§a§2+ §aApply an effect called Bleeding to target when used to attack.")
        .button("               §3Back")
    if (player);
    button.show(player).then((selection) => {
        if (selection.selection == 0)
            EquipmentEN(player);
        if (selection.canceled) return;
    })
};
function FlamingEN(player) {
    const button = new ActionFormData
    button.title("§6§lFlaming")
        .body("§8§lArmour Ability\n§r§a§2+ §aFire Resistance\n§2+ §aGain Regeneration IV while staying in lava but Weakness V Effect will be applied to wearer. Weakness Effect levels decrease when Nether Stars are in hotbar.\nSet target on fire(3s) when wearer apply damage to target.\n§2+ §aGain Speed II while stepping on Netherrack and Blackstone.\n§8§lTool Ability\n§r§a§2+ §aSet target on fire when used to attack.\n§8§lWeapon Ability\n§r§a§2+ §aSet target on fire when used to attack.")
        .button("               §3Back")
    if (player);
    button.show(player).then((selection) => {
        if (selection.selection == 0)
            EquipmentEN(player);
        if (selection.canceled) return;
    })
};
function GemmyEN(player) {
    const button = new ActionFormData
    button.title("§6§lGemmy")
        .body("§8§lArmour Ability\n§r§a§2+ §aRgeneration III, Resistance II, Strength II and Village Hero VI.\n§2+ §a2%% to drop an extra Emerald Block when an Emerald Block mined.\n§2+ §aGain Speed II while stepping on Stone, Cobblestone, Deepslate, Cobbled Deepslate, Granite, Diorite and Andesite.\n§8§lTool Ability\n§r§a§2+ §a15%%/10%%/25%%/15%% to drop Diamond/Diamond Block/Emerald/Emerald Block when block mined.\n§8§lWeapon Ability\n§r§a§2+ §a15%%/10%%/25%%/15%% to drop Diamond/Diamond Block/Emerald/Emerald Block from target when used to attack.")
        .button("               §3Back")
    if (player);
    button.show(player).then((selection) => {
        if (selection.selection == 0)
            EquipmentEN(player);
        if (selection.canceled) return;
    })
};
function GildedAmethystEN(player) {
    const button = new ActionFormData
    button.title("§6§lGilded Amethyst")
        .body("§8§lArmour Ability\n§r§a§2+ §aRegeneration and Speed.\n§2+ §aIncrease wearer's maximum health(4/12/16/24) based on the amount of Amethyst Shards(8/16/24/32+) in hotbar.\nDeal damage[(damage x 0.25) + 2] to attackers when hurt.\n§2+ §aGain Speed II while stepping on Stone, Cobblestone, Deepslate, Cobbled Deepslate, Granite, Diorite and Andesite.\n§8§lTool Ability\n§r§a§2+ §aGain Haste Effect when used to mine block.\n§8§lWeapon Ability\n§r§a§2+ §aGain Strength Effect when used to attack.")
        .button("               §3Back")
    if (player);
    button.show(player).then((selection) => {
        if (selection.selection == 0)
            EquipmentEN(player);
        if (selection.canceled) return;
    })
};
function IcyEN(player) {
    const button = new ActionFormData
    button.title("§6§lIcy")
        .body("§8§lArmour Ability\n§r§a§2+ §aResistance.\n§2+ §aFrost Walker.\n§2+ §aApply 3 times damage(+1)(Weak Frost Damage) and 1 time damage(+8)(Strong Frost Damage) to mobs within 2.8 blocks. These damages can be affected by the following items if only one of them is in hotbar: \n§l§8> §7Ice§r§a\n§2+ §aDecrease frequency of Weak Frost Damage to 1.\n§l§8> §7Packed Ice§r§a\n§2+ §aStrong Frost Damage can be dealt to frosted mobs(mobs that took Weak Frost Damage and Strong Frost Damage), even though the mobs are out of the area. Besides, increase Weak Frost Damage to 2 and decrease Strong Frost Damage to 7.\n§l§8> §7Blue Ice§r§a\n§2+ §aStrong Frost Damage can deal 18 damage to frosted mobs but Weak Frost Damage only apply Slowness Effect to them instead of dealing 1 damage.\n§2+ §aGain Speed II while stepping on Ice, Packed Ice, Blue Ice and Frosted Ice.\n§4- §cSlowness.\n§8§lWeapon Ability\n§r§a§2+ §aApply Frost Damage(1/1/1/8 damage per second) to target when used to attack.")
        .button("               §3Back")
    if (player);
    button.show(player).then((selection) => {
        if (selection.selection == 0)
            EquipmentEN(player);
        if (selection.canceled) return;
    })
};
function ManaEN(player) {
    const button = new ActionFormData
    button.title("§6§lMana")
        .body("§8§lArmour Ability\n§r§l§8> §7Shulker Shield(Shulker Shells in hotbar)§r\n§2+ §aResistance II.\n§l§8> §7Feather Shield(Feathers in hotbar)§r\n§2+ §aImmune to fall damage.\n§l§8> §7Fire Shield(Magma Creams in hotbar)§r\n§2+ §aImmune to Small Fireballs and Fireballs damage.\n§l§8> §7Dragon Shield(Dragon's Breaths in hotbar)§r\n§2+ §aImmune to Dragon Fireballs and Shulker Bullets.\n§l§8> §7Water Shield(Pufferfishes in hotbar)§r§a\n§2+ §aWater Breathing.\n§2+ §aGain Speed II while stepping on End Stone.\n§2+ §aGive random shield every minutes if there is no any specific items in hotbar.\n§4- §cWeakness.\n§8§lWeapon Ability\n§r§a§2+ §aApply Slow Falling Effect to target when used to attack.")
        .button("               §3Back")
    if (player);
    button.show(player).then((selection) => {
        if (selection.selection == 0)
            EquipmentEN(player);
        if (selection.canceled) return;
    })
};
function OceanicEN(player) {
    const button = new ActionFormData
    button.title("§6§lOceanic")
        .body("§8§lArmour Ability\n§r§a§2+ §aGain Conduit Power and Speed while staying in water. Increase 1 level of the effects when Nautilus Shells are in hotbar.\n§2+ §aDolphins within 5 blocks will give wearer Absorption II Effect.\n§8§lTool Ability\n§r§a§2+ §aGain Haste IV when used to mine blocks in water.\n§8§lWeapon Ability\n§r§a§2+ §aSummon a lightning blot at target's location when used to attack.\n")
        .button("               §3Back")
    if (player);
    button.show(player).then((selection) => {
        if (selection.selection == 0)
            EquipmentEN(player);
        if (selection.canceled) return;
    })
};
function RedstoneRockEN(player) {
    const button = new ActionFormData
    button.title("§6§lRedstone Rock")
        .body("§8§lArmour Ability\n§r§a§2+ §aGain Resistance IV when TNTs explode within 5 blocks. Increase the Resistance levels from IV to V when Basalts are in hotbar.\n§2+ §aGain Speed I/II/III when sprinted for 3/4/5 seconds. The effect will remain until wearer stop moving.\n§2+ §aLight up Redstone Lamps within 3 blocks when Redstone Dusts are in hotbar, also gain Night Vision Effect when the lamps are within 2 blocks.\n§8§lTool Ability\n§r§a§2+ §aGain Haste I/II/III per 15/26/51 blocks mined. The effect will remain until user stop mining.\n§8§lWeapon Ability\n§r§a§2+ §aGain Strength I/II/III/IV/V per 3/7/12/18/25 hit times. The effect will remain until user stop attacking.")
        .button("               §3Back")
    if (player);
    button.show(player).then((selection) => {
        if (selection.selection == 0)
            EquipmentEN(player);
        if (selection.canceled) return;
    })
};
function SculkEN(player) {
    const button = new ActionFormData
    button.title("§6§lSculk")
        .body("§8§lArmour Ability\n§r§2+ §aImmune to Darkness Effect.\n§2+ §aGain 1 Experience Point per tick.\n§2+ §aApply Darkness Effect to mobs within 5 blocks when Echo Shards are in hotbar.\n§2+ §a0.5%% chance to double wearer's experience levels when killed mob.\n§2+ §aGain Speed II while stepping on Sculk, Sculk Catalyst, Sculk Sensor, Sculk Shrieker, Sculk Vein, Deepslate and Cobbled Deepslate.\n§4- §cHunger XV.\n§8§lTool Ability\n§r§a§2+ §aSummon an experience orb at user's position when block mined.\n§8§lWeapon Ability\n§r§a§2+ §aSummon an experience orb at user's position when used to attack.")
        .button("               §3Back")
    if (player);
    button.show(player).then((selection) => {
        if (selection.selection == 0)
            EquipmentEN(player);
        if (selection.canceled) return;
    })
};
function SoulEN(player) {
    const button = new ActionFormData
    button.title("§6§lSoul")
        .body("§8§lArmour Ability\n§r§a§2+ §aResistance\n§2+ §aImmune to Slowness Effect.\n§2+ §aAlways deal damage(+7) to mobs within 5 blocks and gain Saturation X. If there is no any mob nearby, wearer will gain Hunger VI.\n§2+ §aGain Speed II while stepping on Blackstone, Netherrack, Soul Sand and Soul Soil.\n§8§lTool Ability\n§r§a§2+ §aFaster mining speed on Soul Sand, Soul Soil and Soul Alloy Block.\n§8§lWeapon Ability\n§r§a§2+ §aApply Wither Effect to target and Regeneration Effect to user.")
        .button("               §3Back")
    if (player);
    button.show(player).then((selection) => {
        if (selection.selection == 0)
            EquipmentEN(player);
        if (selection.canceled) return;
    })
};
function StormEN(player) {
    const button = new ActionFormData
    button.title("§6§lStorm")
        .body("§8§lArmour Ability\n§r§a§2+ §aJump Boost II.\n§2+ §aCreate a wind burst when wearer apply damage to target. The wind burst will knockback and damage(+2) the mobs within 2.15 blocks and apply a vertical knockback to target.\n§2+ §aApply an effect called Heavy Fall to target, dealing extra fall damage[(damage + 2) x 2].\n§2+ §aGain Speed II while stepping on Stone, Cobblestone, Deepslate, Cobbled Deepslate, Granite, Diorite and Andesite.\n§8§lWeapon Ability\n§r§a§2+ §aDeal extra damage(+2) to target that isn't on ground.")
        .button("               §3Back")
    if (player);
    button.show(player).then((selection) => {
        if (selection.selection == 0)
            EquipmentEN(player);
        if (selection.canceled) return;
    })
};
function WarpedWartEN(player) {
    const button = new ActionFormData
    button.title("§6§lWarped Wart")
        .body("§8§lArmour Ability\n§r§a§2+ §aFire Resistance\n§2+ §aHoglins will run away from wearer.\n§2+ §aEndermen can't be provoked when wearer looks at their eyes.\n§2+ §aGain Speed II while stepping on Netherrack and Blackstone.\n§8§lTool Ability\n§r§a§2+ §a35%% chance to drop 1 to 3 Diamonds when used to mine Diamond Ore or Deepslate Diamond Ore. If the tool is enchanted with Silk Touch, then this ability won't work.\n§8§lWeapon Ability\n§r§a§2+ §aApply Slowness Effect to target when used to attack.")
        .button("               §3Back")
    if (player);
    button.show(player).then((selection) => {
        if (selection.selection == 0)
            EquipmentEN(player);
        if (selection.canceled) return;
    })
};
function WatcherEN(player) {
    const button = new ActionFormData
    button.title("§6§lWatcher")
        .body("§8§lArmour Ability\n§r§a§2+ §aNight Vision.\n§2+ §aApply Fear Effect(10s Blindness V, Nausea IV, Slowness II and Weakness II) to mobs within 5 blocks. Increase 1 level(10s Blindness V, Nausea IV, Slowness III and Weakness III) when Eye of Enders are in hotbar. Each mob has 15 seconds cooldown after Fear Effect being applied.\n§2+ §aDamage mobs within 32 blocks based on the amount of mobs within the area when wearer hurt.\n§2+ §aGain Speed II while stepping on End Stone.\n§4- §cWeakness II.\n§8§lTool Ability\n§r§a§2+ §aSummon Silverfish when used to mine block. The mob will drop an Ender Pearl when used Watcher-type tool to kill them.\n§8§lWeapon Ability\n§r§a§2+ §aApply Fear Effect to target when used to attack.")
        .button("               §3Back")
    if (player);
    button.show(player).then((selection) => {
        if (selection.selection == 0)
            EquipmentEN(player);
        if (selection.canceled) return;
    })
};
function WitherIronEN(player) {
    const button = new ActionFormData
    button.title("§6§lWither Iron")
        .body("§8§lArmour Ability\n§r§a§2+ §aHealth Boost III\n§2+ §aImmune to Wither Effect.\n§2+ §aSummon a circle and deal 4 damage to the mobs within 3 blocks. When have Wither Skeleton Skulls in hotbar, the damage and area will increase(+1 & +2) and also turn poppies within 3 blocks into wither roses. However, wearer will gain Hunger VI Effect.\n§2+ §aGain Speed II while stepping on Netherrack and Blackstone.\n§8§lTool Ability\n§r§a§2+ §aWhen used to mine block, the block will has 20%%/80%% chance to drop Iron Ingot/Wither Rose.\n§8§lWeapon Ability\n§r§a§2+ §aKilling Wither Skeletons will have 10%% chance to drop an extra Wither Skeleton Skull.")
        .button("               §3Back")
    if (player);
    button.show(player).then((selection) => {
        if (selection.selection == 0)
            EquipmentEN(player);
        if (selection.canceled) return;
    })
};

world.afterEvents.itemUse.subscribe(alloystr => {
    if (alloystr.source.isSneaking == false) {
        if (alloystr.itemStack.typeId == 'alloys:alloys_forging_book_tr')
            AlloysMenuTR(alloystr.source);
    }
});
function AlloysMenuTR(player) {
    const button = new ActionFormData
    button.title("§6§lAlaşım Demirciliği Kitabı")
        .button("§3Giriş", "textures/items/alloys_forging_book")
        .button("§3Alaşımlar", "textures/items/sculk_steel_alloy")
        .button("§3Blok", "textures/blocks/ember_alloy_block")
        .button("§3Ekipman", "textures/items/dragon_obsidian_chestplate")
    if (player);
    button.show(player).then((selection) => {
        if (selection.selection == 0)
            IntroductionTR(player);
        if (selection.selection == 1)
            AlloysTR(player);
        if (selection.selection == 2)
            BlocksTR(player);
        if (selection.selection == 3)
            EquipmentTR(player);
        if (selection.canceled) return;
    })
};
function IntroductionTR(player) {
    const button = new ActionFormData
    button.title("§6§lGiriş")
        .body("§8Bu eklentiyi indirdiğiniz için teşekkürler! Bu kitap, o harika ve güclü ekipmanları nasıl yapacağınız konusunda size rehberlik edecektir. Bu kitap yapılabilir, bu yüzden gerekirse tekrar yapabilirsiniz. Ayrıca bu kitabı Yontulmuş Kitap Raftlarının içine koyarak Sandıklarınızda yer tasarrufu sağlayabilirsiniz.\n\n\n\n")
        .button("               §3Back")
    if (player);
    button.show(player).then((selection) => {
        if (selection.selection == 0)
            AlloysMenuTR(player);
        if (selection.canceled) return;
    })
};
function AlloysTR(player) {
    const button = new ActionFormData
    button.title("§6§lAlaşımlar")
        .body("§8Alaşımlar kullanılarak, oyuncular zırhlar, kılıçlar ve araçlar dahil güçlü ekipmanlar yapabilirler, bunlar Ekipman Masası'te yapılır.\n\n\n\n\n\n\n\n\n\n\n")
        .button("               §3Back")
    if (player);
    button.show(player).then((selection) => {
        if (selection.selection == 0)
            AlloysMenuTR(player);
        if (selection.canceled) return;
    })
};
function BlocksTR(player) {
    const button = new ActionFormData
    button.title("§6§lBlok")
        .button("§3Alaşım Blok", "textures/blocks/warped_wart_alloy_block")
        .button("§3Alaşım Makinesi", "textures/blocks/alloys_maker_up")
        .button("§3Ekipman Masası", "textures/blocks/equipment_workbench_up")
        .button("               §3Back")
    if (player);
    button.show(player).then((selection) => {
        if (selection.selection == 0)
            AlloyBlocksTR(player);
        if (selection.selection == 1)
            AlloysMakerTR(player);
        if (selection.selection == 2)
            EquipWorkbenchTR(player);
        if (selection.selection == 3)
            AlloysMenuTR(player);
        if (selection.canceled) return;
    })
};
function AlloyBlocksTR(player) {
    const button = new ActionFormData
    button.title("§6§lAlaşım Bloku")
        .body("§8Eşya yapma masası'da 9 alaşım külçesi kullanılarak yapılır. Sadece dekorasyon için kullanılabilir. Kırılması için en az elmas seviyesinde kazma gereklidir.\n\n\n\n\n\n\n\n\n\n\n")
        .button("               §3Back")
    if (player);
    button.show(player).then((selection) => {
        if (selection.selection == 0)
            BlocksTR(player);
        if (selection.canceled) return;
    })
};
function AlloysMakerTR(player) {
    const button = new ActionFormData
    button.title("§6§lAlaşım Makinesi")
        .body("§8Alaşımlar yapmak için kullanılabilen bir eşya yapma masası'dır. Bir alaşım yapmak için oyuncunun 2 veya 3 farklı bileşene ve bir Netherit Külçesi'ne ihtiyacı vardır. Kırılması için en az ahşap seviyesinde kazma gereklidir.\n\n\n\n\n\n\n")
        .button("               §3Back")
    if (player);
    button.show(player).then((selection) => {
        if (selection.selection == 0)
            BlocksTR(player);
        if (selection.canceled) return;
    })
};
function EquipWorkbenchTR(player) {
    const button = new ActionFormData
    button.title("§6§lEkipman Masası")
        .body("§8Alaşımlar kullanılarak yapılan ekipmanları yapmak için kullanılabilen bir eşya yapma masası'dır. Oyuncu bir desen ve bir alaşım alır ve bunları ekipman masası'e koyarak istenilen ekipmanı yapar. Bir desen yapmak için, oyuncu 4 demir külçesi ve bir demir ekipmanına (örneğin demir göğüslük kullanarak bir göğüslük deseni yapmak) ihtiyaç duyar. Kırılması için en az ahşap seviyesinde kazma gereklidir.")
        .button("               §3Back")
    if (player);
    button.show(player).then((selection) => {
        if (selection.selection == 0)
            BlocksTR(player);
        if (selection.canceled) return;
    })
};
function EquipmentTR(player) {
    const button = new ActionFormData
    button.title("§6§lEkipman")
        .button("§3Kalıntı", "textures/items/ancient_chestplate")
        .button("§3Alev Parıltısı", "textures/items/blazing_glow_chestplate")
        .button("§3Kiraz", "textures/items/cherry_chestplate")
        .button("§3Koro Shulker", "textures/items/chorus_shulker_chestplate")
        .button("§3Bakır-Tüf", "textures/items/copper_tuff_chestplate")
        .button("§3Gıcırdayan", "textures/items/creaking_chestplate")
        .button("§3Kızıl Wart", "textures/items/crimson_wart_chestplate")
        .button("§3Ejderha Obsidyen", "textures/items/dragon_obsidian_chestplate")
        .button("§3Elf", "textures/items/elf_chestplate")
        .button("§3Köz Taşı", "textures/items/ember_chestplate")
        .button("§3End Taşı-Kuartz", "textures/items/endstone_quartz_chestplate")
        .button("§3Alevli", "textures/items/flaming_chestplate")
        .button("§3Yeşim Taşı", "textures/items/gemmy_chestplate")
        .button("§3Yaldızlı Ametist", "textures/items/gilded_amethyst_chestplate")
        .button("§3Buzul", "textures/items/icy_chestplate")
        .button("§3Ağır Enerji", "textures/items/mana_chestplate")
        .button("§3Okyanussal", "textures/items/oceanic_chestplate")
        .button("§3Kızıl Taş-Kaya", "textures/items/redstone_rock_chestplate")
        .button("§3Sculk", "textures/items/sculk_chestplate")
        .button("§3Ruh", "textures/items/soul_chestplate")
        .button("§3Fırtına", "textures/items/storm_chestplate")
        .button("§3Çarpık Wart", "textures/items/warped_wart_chestplate")
        .button("§3Gözlemci", "textures/items/watcher_chestplate")
        .button("§3Witherlaşmış Demir", "textures/items/wither_iron_chestplate")
        .button("               §3Back")
    if (player);
    button.show(player).then((selection) => {
        if (selection.selection == 0)
            AncientTR(player);
        if (selection.selection == 1)
            BlazingGlowTR(player);
        if (selection.selection == 2)
            CherryTR(player);
        if (selection.selection == 3)
            ChorusShulkerTR(player);
        if (selection.selection == 4)
            CopperTuffTR(player);
        if (selection.selection == 5)
            CreakingTR(player);
        if (selection.selection == 6)
            CrimsonWartTR(player);
        if (selection.selection == 7)
            DragonObsidianTR(player);
        if (selection.selection == 8)
            ElfTR(player);
        if (selection.selection == 9)
            EmberTR(player);
        if (selection.selection == 10)
            EndstoneQuartzTR(player);
        if (selection.selection == 11)
            FlamingTR(player);
        if (selection.selection == 12)
            GemmyTR(player);
        if (selection.selection == 13)
            GildedAmethystTR(player);
        if (selection.selection == 14)
            IcyTR(player);
        if (selection.selection == 15)
            ManaTR(player);
        if (selection.selection == 16)
            OceanicTR(player);
        if (selection.selection == 17)
            RedstoneRockTR(player);
        if (selection.selection == 18)
            SculkTR(player);
        if (selection.selection == 19)
            SoulTR(player);
        if (selection.selection == 20)
            StormTR(player);
        if (selection.selection == 21)
            WarpedWartTR(player);
        if (selection.selection == 22)
            WatcherTR(player);
        if (selection.selection == 23)
            WitherIronTR(player);
        if (selection.selection == 24)
            AlloysMenuTR(player);
        if (selection.canceled) return;
    })
};
function AncientTR(player) {
    const button = new ActionFormData
    button.title("§6§lKalıntı")
        .body("§8§lZırh Yetenekleri\n§r§a§2+ §aYenilenme II ve Direnç IV.\n§2+ §aTaş, Kırık Taş, Derin Taş, Kırık Derin Taş, Granit, Diorit ve Andezit üzerinde yürürken Hız II kazanın.\n§4- §cKötü Alamet III.\n§4- §cLavda kalırken ek lav hasarı ve Zayıflık II Etkisi alın.\n§8§lAlet Yeteneği\n§r§a§2+ §a40%% ihtimalle bir çömlekçilik parçası düşürme.\n§8§lSilah Yeteneği\n§r§a§2+ §aHedefe Yavaşlık Etkisi uygula, sürekli vurulursa etki seviyelerini arttır (Maks: VI).")
        .button("               §3Back")
    if (player);
    button.show(player).then((selection) => {
        if (selection.selection == 0)
            EquipmentTR(player);
        if (selection.canceled) return;
    })
};
function BlazingGlowTR(player) {
    const button = new ActionFormData
    button.title("§6§lAlev Parıltısı")
        .body("§8§lZırh Yetenekleri\n§r§a§2+ §aAteş Direnci ve Gece Görüşü.\n§2+ §aİçinde canavarların zarar göreceği bir alan çağırın. Ruh kumu veya ruh toprağı envanterdeyse ekstra hasar(+2) verin.\n§2+ §aNether Taşı ve Karataş üzerinde yürürken Hız II kazanın.\n§8§lSilah Yeteneği\n§r§a§2+ §aKullanıcıya Rejenerasyon III uygular ve hedefi tutuşurur.\n\n")
        .button("               §3Back")
    if (player);
    button.show(player).then((selection) => {
        if (selection.selection == 0)
            EquipmentTR(player);
        if (selection.canceled) return;
    })
};
function CherryTR(player) {
    const button = new ActionFormData
    button.title("§6§lKiraz")
        .body("§8§lZırh Yetenekleri\n§r§a§2+ §aHız.\n§2+ §aKiraz Aracı veya Silahı kullanıldığında Rejenerasyon V ve Doygunluk III kazanın.\n§2+ §aKiraz Alanı adında bir alan oluşturun ve içindeki canavarları zarar verin. Envanterde Kiraz Fidanları varsa ekstra hasar(+2) verin.\n§2+ §aTaş, Kırık Taş, Derin Taş, Kırık Derin Taş, Granit, Diorit ve Andezit üzerinde yürürken Hız II kazanın.\n§8§lAlet Yeteneği\n§r§a§2+ §aBlok kazıldığında bir patlama oluşturur.\n§8§lSilah Yeteneği\n§r§a§2+ §aSaldırıldığında bir patlama oluşturur.")
        .button("               §3Back")
    if (player);
    button.show(player).then((selection) => {
        if (selection.selection == 0)
            EquipmentTR(player);
        if (selection.canceled) return;
    })
};
function ChorusShulkerTR(player) {
    const button = new ActionFormData
    button.title("§6§lKoro Shulker")
        .body("§8§lZırh Yetenekleri\n§r§a§2+ §aDirenç.\n§2+ §aYükselme Etkisine karşı bağışıklık.\n§2+ §aOk, Yumurta, Kartopu, Fırlatılan Mızrak hasarlarına karşı bağışıklık.\n§2+ §aEnvanterde Shulker Kabuğu olduğunda Direnç III ve Yavaşlık kazandırır.\n§2+ §aEnd Taşı üzerinde yürürken Hız II kazanın.\n§8§lAlet Yeteneği\n§r§a§2+ §aBlok kazıldığında, eğer oyuncu yan elinde bir kalkan tutuyorsa aracın dayanıklılığı azalmaz.\n§8§lSilah Yeteneği\n§r§a§2+ §aSaldırıldığında Emme kazandırır.")
        .button("               §3Back")
    if (player);
    button.show(player).then((selection) => {
        if (selection.selection == 0)
            EquipmentTR(player);
        if (selection.canceled) return;
    })
};
function CopperTuffTR(player) {
    const button = new ActionFormData
    button.title("§6§lBakır-Tüf")
        .body("§8§lZırh Yetenekleri\n§r§a§2+ §aHız II.\n§2+ §aBir yaratık öldürüldüğünde Doygunluk III(1s) Etkisi kazan.\n§2+ §aSaldırıya uğradığında, hedefe Oksitlenmiş adlı bir etki uygula, kullanıcının hedefe verdiği her hasarla seviyeyi artır(+1 seviye/saldırı)(Maks: 4 seviye). Bu etkiye sahip yaratıklar, uygulanan seviye bazında her zaman Zayıflık Etkisi kazanır(5s). Seviye 4'e ulaştığında ve yaratığa saldırıldığında, etki temizlenir ve Oksit Giderme adı verilen yeni bir etkiye dönüşerek saldırgana uygulanır. Saldırgan Bakır Dayanıklı Zırh giymiyorsa, Zayıflık V Etkisi uygulanır; giyiyorsa, Oksit Giderme Etkisi seviyelerine bağlı olarak Güç Etkisi uygulanır(10s).\n§2+ §aTaş, Kırık Taş, Derin Taş, Kırık Derin Taş, Granit, Diorit ve Andezit üzerinde yürürken Hız II kazan.\n§4- §cZayıflık I.\n§4- §cSaldırılan yaratıkta Açlık VIII(3s) kazan.\n§8§lAlet Yeteneği\n§r§a§2+ §aBakır cevheri kazarken 60%% ihtimalle bakır külçeleri düşür.\n§8§lSilah Yeteneği\n§r§a§2+ §aHedefe 50%% ihtimalle Zayıflık III(4s) Etkisi uygula.")
        .button("               §3Back")
    if (player);
    button.show(player).then((selection) => {
        if (selection.selection == 0)
            EquipmentTR(player);
        if (selection.canceled) return;
    })
};
function CreakingTR(player) {
    const button = new ActionFormData
    button.title("§6§lGıcırdayan")
        .body("§8§lZırh Yetenekleri\n§r§a§2+ §aGece Görüşü.\n§2+ §aReçine Kalkanı Kazan. Reçine Kalkanı tamamen dolduğunda(20/20), kullanıcıya Direnç III Etkisi verilir ve bu etki Reçine Kalkanı kırılana(0/20) kadar devam eder. Kullanıcı zarar gördüğünde, saldırganlar hasar alır ve Solma III(4s) Etkisi(Solma Diken) uygulanır. Reçine Kalkanı şarjı hasar alındığında azalır(-2). Kullanıcının sağlık puanı 10 veya daha düşük olduğunda, azalma miktarı 2 yerine 1 olur.\n§2+ §aReçine Topakları, Reçine Tuğlaları(+2) tüketerek ve yaratıkları öldürerek(+4) Reçine Kalkanı onarılabilir.\n§2+ §aSıcak çubukta Göz Çiçeği(açık/kapalı) bulunduğunda, Solma Diken hasarı(+1) ve Solma Etkisi süresi(+1s) artar.\n§2+ §aTaş, Kırık Taş, Derin Taş, Kırık Derin Taş, Granit, Diorit ve Andezit üzerinde yürürken Hız II kazanılır.\n§8§lAlet Yeteneği\n§r§a§2+ §aBlok kazıldığında Reçine Kalkanı şarjı(+1) artar.\n§8§lSilah Yeteneği\n§r§a§2+ §aBir yaratık öldürüldüğünde Reçine Kalkanı şarjı(+1) artar. Hedefe 30%% ihtimalle Solma IV(6s) Etkisi uygulanır.")
        .button("               §3Back")
    if (player);
    button.show(player).then((selection) => {
        if (selection.selection == 0)
            EquipmentTR(player);
        if (selection.canceled) return;
    })
};
function CrimsonWartTR(player) {
    const button = new ActionFormData
    button.title("§6§lKızıl Wart")
        .body("§8§lZırh Yetenekleri\n§r§a§2+ §aAteş Direnci\n§2+ §aHoglin, giyen kişiye saldırmaz.\n§2+ §aPiglin ve Vahşi Piglin'lar, Altın Blokları madencilik yaptığında ve Sandıkları açtığında bile giyene saldırmaz.\n§2+ §aNether Taşı ve Karataş üzerinde yürürken Hız II kazan.\n§8§lAlet Yeteneği\n§r§a§2+ §aAltın Cevheri, Derin Taş Altın Cevheri veya Nether Altın Cevheri madenciliği yaparken 5%%/15%%/50%% ihtimalle Altın Blok/Altın Külçe/Altın Parçacık düşür. Eğer alet İpeksi Dokunuş ile büyülenmişse, bu yetenek çalışmaz.\n§8§lSilah Yeteneği\n§r§a§2+ §aHedefi vurduğunda 5%%/15%%/50%% ihtimalle Altın Parçacık/Altın Külçe/Altın Blok düşür.")
        .button("               §3Back")
    if (player);
    button.show(player).then((selection) => {
        if (selection.selection == 0)
            EquipmentTR(player);
        if (selection.canceled) return;
    })
};
function DragonObsidianTR(player) {
    const button = new ActionFormData
    button.title("§6§lEjderha Obsidyen")
        .body("§8§lZırh Yetenekleri\n§r§a§2+ §aEnd Boyutu'nda kalırken Can Güçlendirme X, Direnç II ve Güç II kazan.\n§r§a§2+ §aEnd Kristalleri 5 blok içinde olduğunda Yenilenme II kazan.\n§2+ §aEnd Taşı üzerinde yürürken Hız II kazan.\n§4- §cDünya ve Nether Boyutları'nda kalırken Can Güçlendirme II, Yavaşlık ve Zayıflık kazan.\n§8§lAlet Yeteneği\n§r§a§2+ §aObsidiyen, Ağlayan Obsidiyen ve Ejderha Obsidyen Alaşımı Bloku üzerinde daha hızlı kazma hızı sağlar.\n§8§lSilah Yeteneği\n§r§a§2+ §a35 can puanından fazla sağlığa sahip bir yaratığı vurduğunda ekstra hasar ver(+4).")
        .button("               §3Back")
    if (player);
    button.show(player).then((selection) => {
        if (selection.selection == 0)
            EquipmentTR(player);
        if (selection.canceled) return;
    })
};
function ElfTR(player) {
    const button = new ActionFormData
    button.title("§6§lElf")
        .body("§8§lZırh Yetenekleri\n§r§a§2+ §aYenilenme.\n§2+ §a4.5 blok içinde bulunan kurtlara Yenilenme I etkisi uygula.\n§2+ §aElf Aleti tutarken Hız II kazan.\n§2+ §aDayanıklılığı 200 artır ve Kırılmazlık Seviyesi'ni 1 yükselt.\n§2+ §aSıcak çubukta Spor Çiçekleri varken her dakika rastgele bir etki kazan.\n§2+ §aTaş, Kırık Taş, Derin Taş, Kırık Derin Taş, Granit, Diorit ve Andezit üzerinde yürürken Hız II kazan.\n§8§lAlet Yeteneği\n§r§a§2+ §aDayanıklılığı 450 artır.\n§8§lSilah Yeteneği\n§r§a§2+ §aDayanıklılığı 450 artır. Sağ tıklayınca/uzun basınca kullanıcının Yenilenme kazanmasını sağla.")
        .button("               §3Back")
    if (player);
    button.show(player).then((selection) => {
        if (selection.selection == 0)
            EquipmentTR(player);
        if (selection.canceled) return;
    })
};
function EmberTR(player) {
    const button = new ActionFormData
    button.title("§6§lKöz Taşı")
        .body("§8§lZırh Yetenekleri\n§r§a§2+ §aGece Görüşü.\n§2+ §aNether Boyutunda kalırken Ateş Direnci kazan. Sıcak çubukta Blaze Çubuğu varken Nether Boyutunda olmasan bile Ateş Direnci Etkisi kazan.\n§2+ §aGiyen kişi Ghast'lere binebilir ve onları Köz Taşı Silahları ile kontrol edebilir.\n§2+ §aEğer hiçbir ok yoksa ve sıcak çubukta en az bir yay varsa, giyen kişi her zaman bir ok alır. Fırlatılan oklar hedefi ateşe verir.\n§2+ §aNether Taşı ve Karataş üzerinde yürürken Hız II kazan.\n§8§lAlet Yeteneği\n§r§a§2+ §aSiyah Taş tabanlı bloklarda daha hızlı kazma hızı sağlar.\n§8§lSilah Yeteneği\n§r§a§2+ §aAteş Boyutu büyüsü olan Köz Taşı Silahları ile hedefi vurduğunda ekstra hasar ver(+4).")
        .button("               §3Back")
    if (player);
    button.show(player).then((selection) => {
        if (selection.selection == 0)
            EquipmentTR(player);
        if (selection.canceled) return;
    })
};
function EndstoneQuartzTR(player) {
    const button = new ActionFormData
    button.title("§6§lEnd Taşı-Kuartz")
        .body("§8§lZırh Yetenekleri\n§r§a§2+ §aGüç IV. Güç Etkisi seviyelerini her 32 Kuartz ile arttır (Max: VI).\n§2+ §aEnd Taşı üzerinde yürürken Hız II kazan.\n§4- §cAçlık X. 5 blok içinde canavar'lar varsa Açlık Etkisi seviyelerini düşür.\n§8§lAlet Yeteneği\n§r§a§2+ §aKuartz cevheri kazıldığında 50%% şansla kuartz düşürür.\n§8§lSilah Yeteneği\n§r§a§2+ §aHedefe Sızlama etkisi uygular.\n")
        .button("               §3Back")
    if (player);
    button.show(player).then((selection) => {
        if (selection.selection == 0)
            EquipmentTR(player);
        if (selection.canceled) return;
    })
};
function FlamingTR(player) {
    const button = new ActionFormData
    button.title("§6§lAlevli")
        .body("§8§lZırh Yetenekleri\n§r§a§2+ §aAlev Direnci\n§2+ §aLavda dururken Yenilenme IV kazanır fakat Zayıflık V Etkisi uygulanır. Zayıflık Etkisi seviyeleri Nether Yıldızları kısayol çubuğu olduğunda azalır.\nHedefi ateşe verir(3s) giysi hasar verdiğinde.\n§2+ §aNether Taşı ve Karataş üzerinde yürürken Hız II kazan.\n§8§lAlet Yeteneği\n§r§a§2+ §aSaldırı yapıldığında hedefi ateşe verir.\n§8§lSilah Yeteneği\n§r§a§2+ §aSaldırı yapıldığında hedefi ateşe verir.")
        .button("               §3Back")
    if (player);
    button.show(player).then((selection) => {
        if (selection.selection == 0)
            EquipmentTR(player);
        if (selection.canceled) return;
    })
};
function GemmyTR(player) {
    const button = new ActionFormData
    button.title("§6§lYeşim Taşı")
        .body("§8§lZırh Yetenekleri\n§r§a§2+ §aYenilenme III, Direnç II, Güç II ve Köy Kahramanı VI.\n§2+ §aZümrüt Bloğu kazıldığında 2%% şansla ekstra Zümrüt Bloğu düşürür.\n§2+ §aTaş, Kırık Taş, Derin Taş, Kırık Derin Taş, Granit, Diorit ve Andezit üzerinde basıldığında Hız II kazanır.\n§8§lAlet Yeteneği\n§r§a§2+ §aHer 15%%/10%%/25%%/15%% şansla elmas/elmas bloğu/zümrüt/zümrüt bloğu düşürür.\n§8§lSilah Yeteneği\n§r§a§2+ §aHer 15%%/10%%/25%%/15%% şansla elmas/elmas bloğu/zümrüt/zümrüt bloğu hedeften düşürür.")
        .button("               §3Back")
    if (player);
    button.show(player).then((selection) => {
        if (selection.selection == 0)
            EquipmentTR(player);
        if (selection.canceled) return;
    })
};
function GildedAmethystTR(player) {
    const button = new ActionFormData
    button.title("§6§lYaldızlı Ametist")
        .body("§8§lZırh Yetenekleri\n§r§a§2+ §aYenilenme ve Hız.\n§2+ §aKısayol çubuğu'da bulunan Ametist Parçası miktarına göre(8/16/24/32+) kullanıcının maksimum sağlığını artırır.\nSaldırıya uğradığında[(hasar x 0.25) + 2] hasar verir.\n§2+ §aTaş, Kırık Taş, Derin Taş, Kırık Derin Taş, Granit, Diorit ve Andezit üzerinde basıldığında Hız II kazanır.\n§8§lAlet Yeteneği\n§r§a§2+ §aBlok kazıldığında Acele Etkisi kazanır.\n§8§lSilah Yeteneği\n§r§a§2+ §aSaldırı yapıldığında Güç etkisi kazanır.")
        .button("               §3Back")
    if (player);
    button.show(player).then((selection) => {
        if (selection.selection == 0)
            EquipmentTR(player);
        if (selection.canceled) return;
    })
};
function IcyTR(player) {
    const button = new ActionFormData
    button.title("§6§lBuzul")
        .body("§8§lZırh Yetenekleri\n§r§a§2+ §aDirenç.\n§2+ §aDonmuş Yürüyücü.\n§2+ §aCanavar'lara 2.8 blok içinde 3 kez hasar(+1)(Zayıf Donmuş Hasar) ve 1 kez hasar(+8)(Güçlü Donmuş Hasar) uygular. Bu hasarlar sadece aşağıdaki öğelerden biri kısayol çubuğu ise etkilenir: \n§l§8> §7Buz§r§a\n§2+ §aZayıf Donmuş Hasar sıklığını 1'e düşürür.\n§l§8> §7Paketlenmiş Buz§r§a\n§2+ §aGüçlü Donmuş Hasar, donmuş canavar'lara(Zayıf Donmuş Hasar ve Güçlü Donmuş Hasar almış canavar'lar) uygulanabilir, canavar'lar alan dışında olsa bile. Ayrıca, Zayıf Donmuş Hasar'ı 2'ye artırır ve Güçlü Donmuş Hasar'ı 7'ye düşürür.\n§l§8> §7Mavi Buz§r§a\n§2+ §aGüçlü Donmuş Hasar, donmuş canavar'lara 18 hasar verebilir fakat Zayıf Donmuş Hasar sadece onlara Yavaşlık etkisi uygular ve 1 hasar yerine etkiler.\n§2+ §aBuz, Paketlenmiş Buz, Mavi Buz and Donmuş Buz üzerinde basıldığında Hız II kazanır.\n§4- §cYavaşlık.\n§8§lSilah Yeteneği\n§r§a§2+ §aSaldırı yapıldığında hedefe Donmuş Hasar(1/1/1/8 hasar saniye başına) uygular.")
        .button("               §3Back")
    if (player);
    button.show(player).then((selection) => {
        if (selection.selection == 0)
            EquipmentTR(player);
        if (selection.canceled) return;
    })
};
function ManaTR(player) {
    const button = new ActionFormData
    button.title("§6§lAğır Enerji")
        .body("§8§lZırh Yetenekleri\n§r§l§8> §7Shulker Kalkanı(Shulker Kabuğu kısayol çubuğu)§r\n§2+ §aDirenç II.\n§l§8> §7Tüy Kalkanı(Tüy kısayol çubuğu)§r\n§2+ §aDüşme hasarına karşı bağışıklık.\n§l§8> §7Alev Kalkanı(Magma Kremi kısayol çubuğu)§r\n§2+ §aKüçük Ateş Topları ve Ateş Topları hasarına karşı bağışıklık.\n§l§8> §7Ejderha Kalkanı(Ejderha Nefesi kısayol çubuğu)§r\n§2+ §aEjderha Ateş Toplarına ve Shulker Mermilerine karşı bağışıklık.\n§l§8> §7Su Kalkanı(Kirpi Balığı kısayol çubuğu)§r§a\n§2+ §aSu Nefesi.\n§2+ §aEnd Taşı üzerine basıldığında Hız II kazanır.\n§2+ §aKısayol çubuğu'da belirli öğeler yoksa her dakika rastgele kalkan verir.\n§4- §cZayıflık.\n§8§lSilah Yeteneği\n§r§a§2+ §aSaldırı yapıldığında hedefe Yavaş Düşme Etkisi uygular.")
        .button("               §3Back")
    if (player);
    button.show(player).then((selection) => {
        if (selection.selection == 0)
            EquipmentTR(player);
        if (selection.canceled) return;
    })
};
function OceanicTR(player) {
    const button = new ActionFormData
    button.title("§6§lOkyanussal")
        .body("§8§lZırh Yetenekleri\n§r§a§2+ §aSu içinde kaldığında Kanal Gücü ve Hız kazanır. Kısayol çubuğu'da Notilus Kabuğu olduğunda etkilerin seviyesini 1 artırır.\n§2+ §a5 blok içindeki Yunuslar, kullanıcıya Emme II Etkisi verir.\n§8§lAlet Yeteneği\n§r§a§2+ §aSu içinde blok kazıldığında Acele Etkisi IV kazanır.\n§8§lSilah Yeteneği\n§r§a§2+ §aSaldırı yapıldığında hedefin konumunda yıldırım çakma.\n")
        .button("               §3Back")
    if (player);
    button.show(player).then((selection) => {
        if (selection.selection == 0)
            EquipmentTR(player);
        if (selection.canceled) return;
    })
};
function RedstoneRockTR(player) {
    const button = new ActionFormData
    button.title("§6§lKızıl Taş-Kaya")
        .body("§8§lZırh Yetenekleri\n§r§a§2+ §aTNT'ler 5 blok içinde patladığında Direnç IV kazanır. Kısayol çubuğu'da Bazalt olduğunda Direnç seviyesini IV'ten V'ye artırır.\n§2+ §a3/4/5 saniye boyunca koşulduğunda Hız I/II/III kazanır. Etki, kullanıcı hareket etmeyi durdurana kadar devam eder.\n§2+ §aKısayol çubuğu'da Redstone Tozu olduğunda 3 blok içindeki Redstone Lambası yakar, ayrıca lambalar 2 blok içinde ise Gece Görüşü Etkisi kazanır.\n§8§lAlet Yeteneği\n§r§a§2+ §aHer 15/26/51 blok kazıldığında Acele I/II/III kazanır. Etki, kullanıcı madenciliği durdurana kadar devam eder.\n§8§lSilah Yeteneği\n§r§a§2+ §aHer 3/7/12/18/25 vuruşla Güç I/II/III/IV/V kazanır. Etki, kullanıcı saldırmayı durdurana kadar devam eder.")
        .button("               §3Back")
    if (player);
    button.show(player).then((selection) => {
        if (selection.selection == 0)
            EquipmentTR(player);
        if (selection.canceled) return;
    })
};
function SculkTR(player) {
    const button = new ActionFormData
    button.title("§6§lSculk")
        .body("§8§lZırh Yetenekleri\n§r§2+ §aKaranlık Etkisi'ne karşı bağışıklık.\n§2+ §aHer tik başına 1 Deneyim Puanı kazanır.\n§2+ §aKısayol çubuğu'da Yankı Parçası olduğunda 5 blok içindeki canavar'lara Karanlık Etkisi uygular.\n§2+ §aÖldürülen canavar'tan sonra kullanıcının deneyim seviyesinin iki katına çıkma şansı 0.5%%.\n§2+ §aSculk, Sculk Katalizörü, Gizlenme Sensörü, Sculk Çığlığı, Sculk Damarı, Derin Taş ve Kırık Derin Taş üzerinde basıldığında Hız II kazanır.\n§4- §cAçlık XV.\n§8§lAlet Yeteneği\n§r§a§2+ §aBlok kazıldığında kullanıcının pozisyonunda bir deneyim orbu çağırır.\n§8§lSilah Yeteneği\n§r§a§2+ §aSaldırı yapıldığında kullanıcının pozisyonunda bir deneyim orbu çağırır.")
        .button("               §3Back")
    if (player);
    button.show(player).then((selection) => {
        if (selection.selection == 0)
            EquipmentTR(player);
        if (selection.canceled) return;
    })
};
function SoulTR(player) {
    const button = new ActionFormData
    button.title("§6§lRuh")
        .body("§8§lZırh Yetenekleri\n§r§a§2+ §aDirenç\n§2+ §aYavaşlık Etkisi'ne karşı bağışıklık.\n§2+ §aHer zaman 5 blok içindeki canavar'lara hasar(+7) verir ve Doymuşluk X kazanır. Eğer yakınlarda canavar yoksa, kullanıcı Açlık VI kazanır.\n§2+ §aNether Taşı ve Karataş, Ruh Kumu ve Ruh Toprağı üzerinde basıldığında Hız II kazanır.\n§8§lAlet Yeteneği\n§r§a§2+ §aRuh Kumu, Ruh Toprağı ve Ruh Alaşımı Bloku daha hızlı madencilik yapar.\n§8§lSilah Yeteneği\n§r§a§2+ §aHedefe Witherlaşmış Etkisi uygular ve kullanıcıya Yenilenme Etkisi verir.")
        .button("               §3Back")
    if (player);
    button.show(player).then((selection) => {
        if (selection.selection == 0)
            EquipmentTR(player);
        if (selection.canceled) return;
    })
};
function StormTR(player) {
    const button = new ActionFormData
    button.title("§6§lFırtına")
        .body("§8§lZırh Yetenekleri\n§r§a§2+ §aZıplama Gücü II.\n§2+ §aKullanıcı hasar verdiğinde bir rüzgar patlaması yaratır. Bu rüzgar patlaması, 2.15 blok içindeki canavar'ları geri iter ve(+2) hasar verir ve hedefe dikey geri itme uygular.\n§2+ §aHedefe Ağırsız Düşüş adı verilen bir etki uygular, ekstra düşüş hasarı[(hasar + 2) x 2] verir.\n§2+ §aTaş, Kırık Taş, Derin Taş, Kırık Derin Taş, Granit, Diorit ve Andezit üzerinde basıldığında Hız II kazanır.\n§8§lSilah Yeteneği\n§r§a§2+ §aYerde olmayan hedefe ekstra hasar(+2) verir.")
        .button("               §3Back")
    if (player);
    button.show(player).then((selection) => {
        if (selection.selection == 0)
            EquipmentTR(player);
        if (selection.canceled) return;
    })
};
function WarpedWartTR(player) {
    const button = new ActionFormData
    button.title("§6§lÇarpık Wart")
        .body("§8§lZırh Yetenekleri\n§r§a§2+ §aAlev Direnci\n§2+ §aHoglin kullanıcıdan kaçacak.\n§2+ §aEnderman'lar, kullanıcı gözlerine baksa da kışkırtılamaz.\n§2+ §aNether Taşı ve Karataş üzerinde basıldığında Hız II kazanır.\n§8§lAlet Yeteneği\n§r§a§2+ §aElmas Cevheri veya Derin Taş Elmas Cevheri kazıldığında 35%% ihtimalle 1 ila 3 Elmas düşürme şansı. Eğer araç ıpeksi Dokunuş büyüsü ile büyülenmişse, bu yetenek çalışmaz.\n§8§lSilah Yeteneği\n§r§a§2+ §aSaldırı yapıldığında Hedefin konumunda patlama yapar.")
        .button("               §3Back")
    if (player);
    button.show(player).then((selection) => {
        if (selection.selection == 0)
            EquipmentTR(player);
        if (selection.canceled) return;
    })
};
function WatcherTR(player) {
    const button = new ActionFormData
    button.title("§6§lGözlemci")
        .body("§8§lZırh Yetenekleri\n§r§a§2+ §aGece Görüşü.\n§2+ §aKorku Efekti Uygula(10s Körlük V, Mide Bulantısı IV, Yavaşlık II ve Zayıflık II) 5 blok içindeki canavarlara. Ender Gözü kısayol çubuğu olduğunda 1 seviye artar(10s Körlük V, Mide Bulantısı IV, Yavaşlık III ve Zayıflık III). Her canavara, Korku Efekti uygulandıktan sonra 15 saniye bekleme süresi vardır.\n§2+ §aZırh giyen kişi zarar gördüğünde, 32 blok içindeki canavarlara, çevredeki canavar sayısına göre hasar verilir.\n§2+ §aEnd Taşı üzerinde basıldığında Hız II kazanır.\n§4- §cZayıflık II.\n§8§lAlet Yeteneği\n§r§a§2+ §aBlok kazarken Gümüşbalığı çağırılır. Canavar öldürmek için Gözlemci türü araç kullanıldığında, canavar Ender İncisi düşürür.\n§8§lSilah Yeteneği\n§r§a§2+ §aSaldırmak için kullanıldığında hedefe Korku Efekti uygular.")
        .button("               §3Back")
    if (player);
    button.show(player).then((selection) => {
        if (selection.selection == 0)
            EquipmentTR(player);
        if (selection.canceled) return;
    })
};
function WitherIronTR(player) {
    const button = new ActionFormData
    button.title("§6§lWitherlaşmış Demir")
        .body("§8§lZırh Yetenekleri\n§r§a§2+ §aSağlık Artışı III\n§2+ §aWither Efektine karşı bağışıklık.\n§2+ §aBir daire çağırarak, 3 blok içindeki canavarlara 4 hasar verir. Kısayol çubuğu'da Wither İskelet Kafatası varsa, hasar ve alan(+1 & +2) artar ve ayrıca 3 blok içindeki papatyalar wither güllerine dönüşür. Ancak, giyen kişi Açlık VI Efekti alır.\n§2+ §aNether Taşı ve Karataş üzerinde basıldığında Hız II kazanır.\n§8§lAlet Yeteneği\n§r§a§2+ §aBlok kazarken, blok 20%%/80%% ihtimalle Demir külçesi/Wither Gülü düşürür.\n§8§lSilah Yeteneği\n§r§a§2+ §aWither İskelet öldürüldüğünde, ekstra Wither İskelet Kafatası düşme şansı 10%% olacaktır.")
        .button("               §3Back")
    if (player);
    button.show(player).then((selection) => {
        if (selection.selection == 0)
            EquipmentTR(player);
        if (selection.canceled) return;
    })
};